//  Seven years bad luck
//
//  by Teemu Tommola 2005
//
//  Persistence of Vision Raytracer V3.5
//  World definition file.
//
//  Contains 7 lights, 57 materials and 812 primitives.
//
//  This file was generated for POV-Ray V3.5 by
//  Moray V3.5 For Windows Copyright (c) 1993-2003 Lutz + Kretzschmar
//


default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

global_settings {
  radiosity{}
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  noise_generator 2
  charset ascii
}

background { color <0.510,0.718,1.000> }

camera {  //  Camera StdCam
  location  <      1.383,      -7.919,      -0.094>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.54587,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         45.00000    // Vertical      30.000
  look_at   <      0.667,      -2.524,      -1.478>
  // Focal blur settings
  focal_point  <0.667, -2.524, -1.478> // Always Lookat
  aperture     0.075
  blur_samples 30
  confidence   0.9475
  variance     0.006833
}

//
// *******  L I G H T S *******
//

light_source {   // Yleisvalo
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  shadowless
  fade_distance  3.0
  fade_power 0.5
  translate  <-0.135995, -1.089742, 1.537983>
}

#declare Keittioen_kattovalo = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*3.0000
  fade_distance  3.0
  fade_power 0.5
  media_interaction off
  photons {
  }
  translate  -1.3*z
}

light_source {   // Arealight Auringon valo
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 0.800>*2.0000
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 5, 5
  adaptive 2
  jitter
  fade_distance  100.0
  fade_power 0.1
  media_interaction off
  photons {
  }
  scale 0.5
  rotate <-110.0, -90.0, 0.0>
  translate  <-21.376893, 71.130257, 30.0>
}



//
// ********  MATERIALS  *******
//

#include "ttseven.inc"


//
// ********  REFERENCED OBJECTS  *******
//

#declare Ikkunan_lukko5 = union {
  box { // Cube613
    <-1, -1, -1>, <1, 1, 1>
    material {
      Kromi2
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.06, 0.01, 0.025>
  }
  material {
    Kromi5
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate <-0.0, -0.0, 0.0>
  translate  <1.34, -0.03, -1.13>
}
#declare Ikkunan_sarana3 = union {
  cylinder { // Cylndr205
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.012, 0.012, 0.04>
  }
  cylinder { // Cylndr206
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.008, 0.008, 0.02>
    rotate <-0.0, -90.0, 0.0>
    translate  <-0.005, 0.0, 0.02>
  }
  material {
    Kromi5
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale -1.0
  rotate <180.0, -0.0, 0.0>
  translate  <0.0, -0.0, -0.94>
}
#declare Ikkunan_lukko = union {
  box { // Cube612
    <-1, -1, -1>, <1, 1, 1>
    material {
      Kromi2
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.06, 0.01, 0.025>
  }
  material {
    Kromi5
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <-1.34, -0.03, -1.13>
}
#declare Ikkunan_sarana = union {
  cylinder { // Cylndr203
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.012, 0.012, 0.04>
  }
  cylinder { // Cylndr204
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.008, 0.008, 0.02>
    rotate <-0.0, -90.0, 0.0>
    translate  <-0.005, 0.0, 0.02>
  }
  material {
    Kromi5
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  -0.94*z
}
#declare Ikkunan_sarana6 = union {
  cylinder { // Cylndr207
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.012, 0.012, 0.04>
  }
  cylinder { // Cylndr208
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.008, 0.008, 0.02>
    rotate <-0.0, -90.0, 0.0>
    translate  <-0.005, 0.0, 0.02>
  }
  material {
    Kromi5
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate <-0.0, 0.0, -0.0>
  translate  <0.0, -0.0, -0.94>
}
#declare Ikkunan_sarana15 = union {
  cylinder { // Cylndr215
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.012, 0.012, 0.04>
  }
  cylinder { // Cylndr216
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.008, 0.008, 0.02>
    rotate <-0.0, -90.0, 0.0>
    translate  <-0.005, 0.0, 0.02>
  }
  material {
    Kromi5
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate <-0.0, 0.0, -0.0>
  translate  <0.0, -0.0, -0.94>
}


#declare Cube117 = object {
  box { // Cube117
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.78, 0.28, 0.014>
  }
}
#declare Cube120 = object {
  box { // Cube120
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
}
#declare Cube123 = object {
  box { // Cube123
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.78, 0.28, 0.014>
  }
}
#declare Cube137 = object {
  box { // Cube137
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
}
#declare Cube156 = object {
  box { // Cube156
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.8, 0.005, 0.098>
    translate  <0.0, 0.276, -0.084>
  }
}
#declare Cube161 = object {
  box { // Cube161
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 0.098>
    translate  <0.0, 0.276, -0.084>
  }
}
#declare Cube306 = object {
  box { // Cube306
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
}
#declare Cube318 = object {
  box { // Cube318
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 0.098>
    translate  <0.0, 0.276, -0.084>
  }
}
#declare Cube323 = object {
  box { // Cube323
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 0.098>
    translate  <0.0, 0.276, -0.084>
  }
}
#declare Cube328 = object {
  box { // Cube328
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.8, 0.005, 0.098>
    translate  <0.0, 0.276, -0.084>
  }
}
#declare Cube293 = object {
  box { // Cube293
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
}
#declare Cube290 = object {
  box { // Cube290
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 0.098>
    translate  <0.0, 0.276, -0.084>
  }
}
#declare Pinna16 = object {
  cylinder { // Pinna16
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.012, 0.012, 0.41>
    translate  <0.0, 1.685, 0.75>
  }
}
#declare Pinna = object {
  cylinder { // Pinna
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.012, 0.012, 0.41>
    translate  <0.0, 1.04, 0.75>
  }
}
#declare Pinna8 = object {
  cylinder { // Pinna8
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.012, 0.012, 0.41>
    translate  <0.0, 1.04, 0.75>
  }
}
#declare Poeydaen_jalka = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.031822, 0.039107, 0.059714>, <-0.033439, 0.079203, 0.059714>, <-0.030899, 0.079349, 0.059714>, <-0.000674, 0.079702, 0.059714>, 
      <-0.028748, 0.173710, 0.212136>, <-0.029429, 0.208550, 0.212136>, <-0.029453, 0.208593, 0.212136>, <0.000064, 0.208593, 0.212136>, 
      <-0.055103, -0.191681, 0.838276>, <-0.055093, -0.146600, 0.838276>, <-0.054323, -0.146552, 0.838276>, <0.003724, -0.146552, 0.838276>, 
      <-0.099579, 0.049219, 1.069668>, <-0.099302, 0.097860, 1.069668>, <-0.096702, 0.098945, 1.069668>, <0.000384, 0.098808, 1.069668>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000674, 0.079702, 0.059714>, <0.029551, 0.080054, 0.059714>, <0.033504, 0.080049, 0.059714>, <0.032332, 0.039629, 0.059714>, 
      <0.000064, 0.208593, 0.212136>, <0.029581, 0.208593, 0.212136>, <0.030393, 0.208414, 0.212136>, <0.028643, 0.173267, 0.212136>, 
      <0.003724, -0.146552, 0.838276>, <0.061772, -0.146552, 0.838276>, <0.063168, -0.146391, 0.838276>, <0.063178, -0.191960, 0.838276>, 
      <0.000384, 0.098808, 1.069668>, <0.097470, 0.098672, 1.069668>, <0.100388, 0.098787, 1.069668>, <0.100122, 0.049407, 1.069668>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.032332, 0.039629, 0.059714>, <0.031159, -0.000790, 0.059714>, <0.020179, -0.021028, 0.059714>, <-0.000396, -0.021028, 0.059714>, 
      <0.028643, 0.173267, 0.212136>, <0.026892, 0.138121, 0.212136>, <0.027277, 0.148560, 0.212136>, <-0.000978, 0.148560, 0.212136>, 
      <0.063178, -0.191960, 0.838276>, <0.063187, -0.237528, 0.838276>, <0.052824, -0.246847, 0.838276>, <0.003877, -0.246758, 0.838276>, 
      <0.100122, 0.049407, 1.069668>, <0.099855, 0.000026, 1.069668>, <0.095043, -0.001612, 1.069668>, <-0.001106, -0.001336, 1.069668>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.000396, -0.021028, 0.059714>, <-0.020972, -0.021028, 0.059714>, <-0.030204, -0.000989, 0.059714>, <-0.031822, 0.039107, 0.059714>, 
      <-0.000978, 0.148560, 0.212136>, <-0.029234, 0.148560, 0.212136>, <-0.028066, 0.138871, 0.212136>, <-0.028748, 0.173710, 0.212136>, 
      <0.003877, -0.246758, 0.838276>, <-0.045071, -0.246668, 0.838276>, <-0.055113, -0.236762, 0.838276>, <-0.055103, -0.191681, 0.838276>, 
      <-0.001106, -0.001336, 1.069668>, <-0.097255, -0.001059, 1.069668>, <-0.099855, 0.000579, 1.069668>, <-0.099579, 0.049219, 1.069668>
    }
  }
  photons {
    collect off
  }
  translate  -0.72*y
}
#declare Cylndr084 = object {
  cylinder { // Cylndr084
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.03, 0.046, 0.06>
    translate  -0.69*y
  }
}
#declare Keittioepurkki = union {
  cylinder { // Cylndr218
    <0,0,1>, <0,0,0>, 1 open
    photons {
      collect off
    }
    scale <0.095, 0.095, 0.2>
    translate  0.002*z
  }
  cylinder { // Cylndr219
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.09, 0.09, 0.003>
  }
  cylinder { // Cylndr220
    <0,0,1>, <0,0,0>, 1 
    material {
      Ruusupuu
    }
    photons {
      collect off
    }
    scale <0.097, 0.097, 0.03>
    translate  0.202*z
  }
  material {
    Kellertaevae_posliini
  }
  photons {
    collect off
  }
  translate  <7.19, 0.27, -0.6>
}




//
// ********  OBJECTS  *******
//

box { // Taivaslavaste
  <-1, -1, -1>, <1, 1, 1>
  material {
    Maisema
  }
  scale <32.0, 24.0, 1.0>
  rotate <90.0, 0.0, -180.0>
  translate  <16.1, 43.4, -11.0>
}




#declare Mh_kattolampun_kupu1 = difference {
  sphere { // Sphere036
    <0,0,0>,1
    photons {
      collect off
    }
    scale 0.3
  }
  sphere { // Sphere037
    <0,0,0>,1
    photons {
      collect off
    }
    scale 0.29
  }
  material {
    Lamppulasi
  }
  photons {
    collect off
  }
  translate  -1.3*z
}
#declare Keittioen_kattolamppu = union {
  object { Mh_kattolampun_kupu1 }
  cylinder { // Cylndr113
    <0,0,1>, <0,0,0>, 1 
    material {
      Musta_muovi
    }
    photons {
      collect off
    }
    scale <0.01, 0.01, 1.0>
    translate  -1.001*z
  }
  object { Keittioen_kattovalo }
  cone { // Cone018
    <0,0,0>, 0.05, <0,0,1>, 0.1
    material {
      Musta_muovi
    }
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.14>
    rotate 0.0*y
    translate  -0.05*z
  }
  photons {
    collect off
  }
  translate  <5.43, 0.47, 2.5>
}
#declare CSG013 = intersection {
  torus { // Torus002
    0.06, 0.016  rotate -x*90
    photons {
      collect off
    }
    rotate <90.0, 0.0, 0.0>
    translate  <-1.4, 0.0, 0.92>
  }
  box { // Cube544
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.04, 0.02, 0.04>
    translate  <-1.44, 0.0, 0.96>
  }
  photons {
    collect off
  }
}
#declare Mh_patteri = union {
  box { // Cube543
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <1.25, 0.005, 0.4>
    translate  0.6*z
  }
  box { // Cube545
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <0.0, 0.02, 1.0>
  }
  box { // Cube546
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <1.03, 0.02, 1.0>
  }
  box { // Cube547
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <-1.03, 0.02, 1.0>
  }
  box { // Cube548
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <-1.03, 0.02, 0.2>
  }
  box { // Cube549
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <0.0, 0.02, 0.2>
  }
  box { // Cube550
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <1.03, 0.02, 0.2>
  }
  cylinder { // Cylndr170
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.92>
    rotate -0.0*z
    translate  -1.46*x
  }
  cylinder { // Cylndr171
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.15>
    rotate <-0.0, -90.0, 0.0>
    translate  <-1.25, 0.0, 0.98>
  }
  cylinder { // Cylndr172
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.2>
    rotate -0.0*z
    translate  -1.36*x
  }
  cylinder { // Cylndr173
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.12>
    rotate -90.0*y
    translate  <-1.25, 0.0, 0.22>
  }
  cylinder { // Cylndr174
    <0,0,1>, <0,0,0>, 1 
    material {
      Nuppimetalli
    }
    photons {
      collect off
    }
    scale <0.025, 0.025, 0.1>
    rotate -0.0*z
    translate  <-1.36, 0.0, 0.16>
  }
  cylinder { // Cylndr175
    <0,0,1>, <0,0,0>, 1 
    material {
      Nuppimetalli
    }
    photons {
      collect off
    }
    scale <0.025, 0.025, 0.1>
    rotate -0.0*z
    translate  <-1.46, 0.0, 0.64>
  }
  cylinder { // Cylndr176
    <0,0,1>, <0,0,0>, 1 
    material {
      Nuppimetalli
    }
    photons {
      collect off
    }
    scale <0.02, 0.02, 0.05>
    rotate <-0.0, -90.0, 0.0>
    translate  <-1.41, 0.0, 0.69>
  }
  cylinder { // Cylndr177
    <0,0,1>, <0,0,0>, 1 
    material {
      Tietokonemuovi
    }
    photons {
      collect off
    }
    scale <0.04, 0.04, 0.1>
    rotate <-0.0, -90.0, 0.0>
    translate  <-1.32, 0.0, 0.69>
  }
  object { CSG013 }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  translate  <-5.68, -5.89, -2.5>
}
#declare CSG015 = intersection {
  torus { // Torus004
    0.06, 0.016  rotate -x*90
    photons {
      collect off
    }
    rotate 90.0*x
    translate  <2.6, 0.0, 0.92>
  }
  box { // Cube566
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.04, 0.02, 0.04>
    translate  <2.64, 0.0, 0.96>
  }
  photons {
    collect off
  }
  translate  -0.04*y
}
#declare Oloh_patteri = union {
  box { // Cube559
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.45, 0.005, 0.4>
    translate  0.6*z
  }
  box { // Cube560
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <0.0, 0.02, 1.0>
  }
  box { // Cube561
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <2.23, 0.02, 1.0>
  }
  box { // Cube562
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <-2.23, 0.02, 1.0>
  }
  box { // Cube563
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <-2.23, 0.02, 0.2>
  }
  box { // Cube564
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <0.0, 0.02, 0.2>
  }
  box { // Cube565
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <2.23, 0.02, 0.2>
  }
  cylinder { // Cylndr186
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.92>
    rotate -0.0*z
    translate  <2.66, -0.04, 0.0>
  }
  cylinder { // Cylndr187
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.16>
    rotate <-0.0, -90.0, 0.0>
    translate  <2.6, -0.04, 0.98>
  }
  cylinder { // Cylndr188
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.2>
    rotate -0.0*z
    translate  <-2.56, -0.04, 0.0>
  }
  cylinder { // Cylndr189
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.13>
    rotate -90.0*y
    translate  <-2.44, -0.04, 0.22>
  }
  cylinder { // Cylndr190
    <0,0,1>, <0,0,0>, 1 
    material {
      Nuppimetalli
    }
    photons {
      collect off
    }
    scale <0.025, 0.025, 0.1>
    rotate -0.0*z
    translate  <-2.56, -0.04, 0.16>
  }
  cylinder { // Cylndr191
    <0,0,1>, <0,0,0>, 1 
    material {
      Nuppimetalli
    }
    photons {
      collect off
    }
    scale <0.025, 0.025, 0.1>
    rotate -0.0*z
    translate  <2.66, -0.04, 0.64>
  }
  cylinder { // Cylndr192
    <0,0,1>, <0,0,0>, 1 
    material {
      Nuppimetalli
    }
    photons {
      collect off
    }
    scale <0.02, 0.02, 0.05>
    rotate <-0.0, -90.0, 0.0>
    translate  <2.66, -0.04, 0.69>
  }
  cylinder { // Cylndr193
    <0,0,1>, <0,0,0>, 1 
    material {
      Tietokonemuovi
    }
    photons {
      collect off
    }
    scale <0.04, 0.04, 0.1>
    rotate <-0.0, -90.0, 0.0>
    translate  <2.62, -0.04, 0.69>
  }
  object { CSG015 }
  box { // Cube574
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.45, 0.005, 0.4>
    translate  <0.0, -0.08, 0.6>
  }
  box { // Cube575
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.04, 0.03>
    translate  <2.415, -0.04, 0.965>
  }
  box { // Cube576
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.04, 0.03>
    translate  <-2.415, -0.04, 0.235>
  }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  translate  <0.051055, 5.67, -2.49>
}
#declare CSG014 = intersection {
  torus { // Torus003
    0.06, 0.016  rotate -x*90
    photons {
      collect off
    }
    rotate <90.0, 0.0, 0.0>
    translate  <-1.4, 0.0, 0.92>
  }
  box { // Cube558
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.04, 0.02, 0.04>
    translate  <-1.44, 0.0, 0.96>
  }
  photons {
    collect off
  }
}
#declare Keittioen_patteri = union {
  box { // Cube551
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <1.15, 0.005, 0.4>
    translate  <-0.1, 0.0, 0.6>
  }
  box { // Cube552
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <-0.1, 0.02, 1.0>
  }
  box { // Cube553
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <0.83, 0.02, 1.0>
  }
  box { // Cube554
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <-1.03, 0.02, 1.0>
  }
  box { // Cube555
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <-1.03, 0.02, 0.2>
  }
  box { // Cube556
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <-0.1, 0.02, 0.2>
  }
  box { // Cube557
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.02, 0.03, 0.005>
    translate  <0.83, 0.02, 0.2>
  }
  cylinder { // Cylndr178
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.92>
    rotate -0.0*z
    translate  -1.46*x
  }
  cylinder { // Cylndr179
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.15>
    rotate <-0.0, -90.0, 0.0>
    translate  <-1.25, 0.0, 0.98>
  }
  cylinder { // Cylndr180
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.2>
    rotate -0.0*z
    translate  -1.36*x
  }
  cylinder { // Cylndr181
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.016, 0.016, 0.12>
    rotate -90.0*y
    translate  <-1.25, 0.0, 0.22>
  }
  cylinder { // Cylndr182
    <0,0,1>, <0,0,0>, 1 
    material {
      Nuppimetalli
    }
    photons {
      collect off
    }
    scale <0.025, 0.025, 0.1>
    rotate -0.0*z
    translate  <-1.36, 0.0, 0.16>
  }
  cylinder { // Cylndr183
    <0,0,1>, <0,0,0>, 1 
    material {
      Nuppimetalli
    }
    photons {
      collect off
    }
    scale <0.025, 0.025, 0.1>
    rotate -0.0*z
    translate  <-1.46, 0.0, 0.64>
  }
  cylinder { // Cylndr184
    <0,0,1>, <0,0,0>, 1 
    material {
      Nuppimetalli
    }
    photons {
      collect off
    }
    scale <0.02, 0.02, 0.05>
    rotate <-0.0, -90.0, 0.0>
    translate  <-1.41, 0.0, 0.69>
  }
  cylinder { // Cylndr185
    <0,0,1>, <0,0,0>, 1 
    material {
      Tietokonemuovi
    }
    photons {
      collect off
    }
    scale <0.04, 0.04, 0.1>
    rotate <-0.0, -90.0, 0.0>
    translate  <-1.32, 0.0, 0.69>
  }
  object { CSG014 }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  translate  <4.78, 2.27, -2.49>
}
#declare Oh_ikkunankehys = union {
  box { // Cube614
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.1, 0.1, 1.18>
    translate  <-0.61, 5.83, 0.38>
  }
  box { // Cube615
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.1, 0.1, 1.18>
    translate  <2.07, 5.83, 0.38>
  }
  box { // Cube616
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.1, 1.18>
    translate  <-3.26, 5.83, 0.38>
  }
  box { // Cube617
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <3.06, 0.1, 0.07>
    translate  <-0.25, 5.83, 1.61>
  }
  box { // Cube618
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.1, 1.18>
    translate  <2.76, 5.83, 0.38>
  }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Keittioen_ikkunankehys = union {
  box { // Cube643
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.1, 0.1, 1.18>
    translate  <-1.46, 5.83, 0.38>
  }
  box { // Cube644
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.1, 0.1, 1.18>
    translate  <1.75, 5.83, 0.38>
  }
  box { // Cube645
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.17, 0.1, 1.18>
    translate  <-2.3, 5.83, 0.38>
  }
  box { // Cube646
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <2.161, 0.1, 0.07>
    translate  <-0.31, 5.83, 1.61>
  }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <5.7, -3.4, 0.0>
}
#declare Oloh_ikk_vas_sisae = union {
  box { // Cube581
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.22, 0.03, 0.05>
    translate  <1.34, 0.0, -1.13>
  }
  box { // Cube582
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.22, 0.03, 0.05>
    translate  <1.34, 0.0, 1.13>
  }
  box { // Cube583
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  0.07*x
  }
  box { // Cube584
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  2.61*x
  }
  object { Ikkunan_lukko5 }
  object { // Ikkunan_lukko6 -> Ikkunan lukko5
    Ikkunan_lukko5
    // Ikkunan_lukko6 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko5
      translate  <-1.34, 0.03, 1.13>
      rotate 0.0*z rotate 0.0*y rotate 0.0*x
    // Now write the regular transformations of Ikkunan_lukko6
    photons {
      collect off
    }
    // All transformations fixed
    rotate <-0.0, -0.0, 0.0>
    translate  <1.34, -0.03, 1.13>
  }
  object { // Ikkunan_lukko7 -> Ikkunan lukko5
    Ikkunan_lukko5
    // Ikkunan_lukko7 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko5
      translate  <-1.34, 0.03, 1.13>
      rotate 0.0*z rotate 0.0*y rotate 0.0*x
    // Now write the regular transformations of Ikkunan_lukko7
    photons {
      collect off
    }
    // All transformations fixed
    rotate <-0.0, -90.0, 0.0>
    translate  <2.61, -0.03, 0.0>
  }
  object { // Ikkunan_lukko8 -> Ikkunan lukko5
    Ikkunan_lukko5
    // Ikkunan_lukko8 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko5
      translate  <-1.34, 0.03, 1.13>
      rotate 0.0*z rotate 0.0*y rotate 0.0*x
    // Now write the regular transformations of Ikkunan_lukko8
    photons {
      collect off
    }
    // All transformations fixed
    rotate <-0.0, -90.0, 0.0>
    translate  <2.61, -0.03, -0.83>
  }
  object { // Ikkunan_lukko9 -> Ikkunan lukko5
    Ikkunan_lukko5
    // Ikkunan_lukko9 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko5
      translate  <-1.34, 0.03, 1.13>
      rotate 0.0*z rotate 0.0*y rotate 0.0*x
    // Now write the regular transformations of Ikkunan_lukko9
    photons {
      collect off
    }
    // All transformations fixed
    rotate <-0.0, -90.0, 0.0>
    translate  <2.61, -0.03, 0.83>
  }
  object { Ikkunan_sarana3 }
  object { // Ikkunan_sarana4 -> Ikkunan sarana3
    Ikkunan_sarana3
    photons {
      collect off
    }
    // All transformations fixed
    translate  <0.0, 0.0, 0.92>
  }
  object { // Ikkunan_sarana5 -> Ikkunan sarana3
    Ikkunan_sarana3
    photons {
      collect off
    }
    // All transformations fixed
    translate  <0.0, 0.0, 1.84>
  }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <-3.29, 5.73, 0.38>
}
#declare Oloh_ikk_oik_sisae = union {
  box { // Cube577
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.22, 0.03, 0.05>
    translate  <-1.34, 0.0, -1.13>
  }
  box { // Cube578
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.22, 0.03, 0.05>
    translate  <-1.34, 0.0, 1.13>
  }
  box { // Cube579
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  -0.07*x
  }
  box { // Cube580
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  -2.61*x
  }
  object { Ikkunan_lukko }
  object { // Ikkunan_lukko1 -> Ikkunan lukko
    Ikkunan_lukko
    // Ikkunan_lukko1 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko
      translate  <1.34, 0.03, 1.13>
    // Now write the regular transformations of Ikkunan_lukko1
    photons {
      collect off
    }
    // All transformations fixed
    rotate -0.0*z
    translate  <-1.34, -0.03, 1.13>
  }
  object { // Ikkunan_lukko2 -> Ikkunan lukko
    Ikkunan_lukko
    // Ikkunan_lukko2 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko
      translate  <1.34, 0.03, 1.13>
    // Now write the regular transformations of Ikkunan_lukko2
    photons {
      collect off
    }
    // All transformations fixed
    rotate <0.0, -90.0, -0.0>
    translate  <-2.61, -0.03, 0.0>
  }
  object { // Ikkunan_lukko3 -> Ikkunan lukko
    Ikkunan_lukko
    // Ikkunan_lukko3 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko
      translate  <1.34, 0.03, 1.13>
    // Now write the regular transformations of Ikkunan_lukko3
    photons {
      collect off
    }
    // All transformations fixed
    rotate <0.0, -90.0, -0.0>
    translate  <-2.61, -0.03, -0.83>
  }
  object { // Ikkunan_lukko4 -> Ikkunan lukko
    Ikkunan_lukko
    // Ikkunan_lukko4 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko
      translate  <1.34, 0.03, 1.13>
    // Now write the regular transformations of Ikkunan_lukko4
    photons {
      collect off
    }
    // All transformations fixed
    rotate <0.0, -90.0, -0.0>
    translate  <-2.61, -0.03, 0.83>
  }
  object { Ikkunan_sarana }
  object { // Ikkunan_sarana1 -> Ikkunan sarana
    Ikkunan_sarana
    photons {
      collect off
    }
    // All transformations fixed
    translate  0.92*z
  }
  object { // Ikkunan_sarana2 -> Ikkunan sarana
    Ikkunan_sarana
    photons {
      collect off
    }
    // All transformations fixed
    translate  1.84*z
  }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <2.07, 5.73, 0.38>
}
#declare Ikkunan_kahva = union {
  cylinder { // Cylndr209
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 0.04>
  }
  box { // Cube619
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.085, 0.015, 0.003>
    translate  <0.085, 0.0, 0.036>
  }
  material {
    Kromi4
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot Y limited (0.0 to   89.0)
  // Translation fixed
  rotate <90.0, 88.0, -0.0>
  translate  <-0.65, -0.04, 0.0>
}
#declare Oloh_ikk_pieni_sisae = union {
  box { // Cube585
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.27, 0.03, 0.05>
    translate  <-0.36, 0.0, -1.13>
  }
  box { // Cube586
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.27, 0.03, 0.05>
    translate  <-0.36, 0.0, 1.13>
  }
  box { // Cube587
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  -0.07*x
  }
  box { // Cube588
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  -0.64*x
  }
  object { Ikkunan_sarana6 }
  object { // Ikkunan_sarana7 -> Ikkunan sarana6
    Ikkunan_sarana6
    photons {
      collect off
    }
    // All transformations fixed
    translate  0.92*z
  }
  object { // Ikkunan_sarana8 -> Ikkunan sarana6
    Ikkunan_sarana6
    photons {
      collect off
    }
    // All transformations fixed
    translate  1.84*z
  }
  object { // Ikkunan_lukko10 -> Ikkunan lukko
    Ikkunan_lukko
    // Ikkunan_lukko10 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko
      translate  <1.34, 0.03, 1.13>
    // Now write the regular transformations of Ikkunan_lukko10
    photons {
      collect off
    }
    // All transformations fixed
    rotate -90.0*y
    translate  <-0.65, -0.03, 0.0>
  }
  object { Ikkunan_kahva }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot Z limited (0.0 to   80.0)
  // Translation fixed
  translate  <2.78, 5.73, 0.38>
}
#declare Ikkunan_kahva2 = union {
  cylinder { // Cylndr217
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 0.04>
  }
  box { // Cube634
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.085, 0.015, 0.003>
    translate  <0.085, 0.0, 0.036>
  }
  material {
    Kromi4
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot Y limited (0.0 to   89.0)
  // Translation fixed
  rotate <90.0, 88.0, -0.0>
  translate  <-0.65, -0.04, 0.0>
}
#declare Keittioen_ikk_pieni_sisae = union {
  box { // Cube630
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.27, 0.03, 0.05>
    translate  <-0.36, 0.0, -1.13>
  }
  box { // Cube631
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.27, 0.03, 0.05>
    translate  <-0.36, 0.0, 1.13>
  }
  box { // Cube632
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  -0.07*x
  }
  box { // Cube633
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  -0.64*x
  }
  object { Ikkunan_sarana15 }
  object { // Ikkunan_sarana16 -> Ikkunan sarana15
    Ikkunan_sarana15
    photons {
      collect off
    }
    // All transformations fixed
    translate  0.92*z
  }
  object { // Ikkunan_sarana17 -> Ikkunan sarana15
    Ikkunan_sarana15
    photons {
      collect off
    }
    // All transformations fixed
    translate  1.84*z
  }
  object { // Ikkunan_lukko17 -> Ikkunan lukko
    Ikkunan_lukko
    // Ikkunan_lukko17 does not inherit transformations, so do 
    // inverse transformations of Ikkunan_lukko
      translate  <1.34, 0.03, 1.13>
    // Now write the regular transformations of Ikkunan_lukko17
    photons {
      collect off
    }
    // All transformations fixed
    rotate -90.0*y
    translate  <-0.65, -0.03, 0.0>
  }
  object { Ikkunan_kahva2 }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale -1.0
  rotate 180.0*x
  translate  <3.51, 2.33, 0.38>
}
#declare Keittioen_ikk_iso_sisae = union {
  box { // Cube635
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.56, 0.03, 0.05>
    translate  <-1.58, 0.0, -1.13>
  }
  box { // Cube636
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.56, 0.03, 0.05>
    translate  <-1.58, 0.0, 1.13>
  }
  box { // Cube637
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  -0.07*x
  }
  box { // Cube638
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.03, 1.18>
    translate  -3.09*x
  }
  material {
    Kattomaali
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <7.42, 2.33, 0.38>
}
#declare Oloh_ikkunalauta = difference {
  box { // Cube208
    <-1, -1, -1>, <1, 1, 1>
    material {
      Valkoinen_maali
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <2.96, 0.15, 0.03>
    translate  <-0.03, 0.04, -0.15>
  }
  box { // Cube209
    <-1, -1, -1>, <1, 1, 1>
    material {
      Nojatuolipuu
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <2.98, 0.002, 0.05>
    translate  <-0.03, -0.11, -0.15>
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <-0.25, 5.52, -0.73>
}
#declare Keittioen_ikkunalauta = difference {
  box { // Cube426
    <-1, -1, -1>, <1, 1, 1>
    material {
      Valkoinen_maali
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <2.15, 0.15, 0.03>
    translate  <0.0, 0.19, -0.15>
  }
  box { // Cube427
    <-1, -1, -1>, <1, 1, 1>
    material {
      Nojatuolipuu
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <2.15, 0.002, 0.05>
    translate  <0.0, 0.04, -0.15>
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <5.4, 1.94, -0.69>
}
#declare Oloh_verho_vasen = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.843602, 0.015917>, <-0.821017, -0.843602, 0.013312>, <0.000000, -0.843602, 0.011043>, <0.821017, -0.843602, 0.000489>, 
      <-1.642035, -0.802235, 0.341017>, <-0.821017, -0.802235, 0.285203>, <0.000000, -0.802235, 0.236603>, <0.821017, -0.802235, 0.010467>, 
      <-1.642035, -0.561034, -0.341017>, <-0.821017, -0.561034, -0.285203>, <0.000000, -0.561034, -0.236603>, <0.821017, -0.561034, -0.010467>, 
      <-1.642035, -0.362042, 0.000000>, <-0.821017, -0.362042, 0.000000>, <0.000000, -0.362042, 0.000000>, <0.821017, -0.362042, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.362042, 0.000000>, <-0.821017, -0.362042, 0.000000>, <0.000000, -0.362042, 0.000000>, <0.821017, -0.362042, 0.000000>, 
      <-1.642035, -0.163049, 0.341017>, <-0.821017, -0.163049, 0.285203>, <0.000000, -0.163049, 0.236603>, <0.821017, -0.163049, 0.010467>, 
      <-1.642035, -0.095034, -0.224069>, <-0.821017, -0.095034, -0.187396>, <0.000000, -0.095034, -0.155463>, <0.821017, -0.095034, -0.006877>, 
      <-1.642035, 0.112618, -0.007058>, <-0.821017, 0.112618, -0.005903>, <0.000000, 0.112618, -0.004897>, <0.821017, 0.112618, -0.000217>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, 0.112618, -0.007058>, <-0.821017, 0.112618, -0.005903>, <0.000000, 0.112618, -0.004897>, <0.821017, 0.112618, -0.000217>, 
      <-1.642035, 0.320270, 0.209952>, <-0.821017, 0.320270, 0.175589>, <0.000000, 0.320270, 0.145668>, <0.821017, 0.320270, 0.006444>, 
      <-1.642035, 0.491738, -0.244545>, <-0.821017, 0.491738, -0.204520>, <0.000000, 0.491738, -0.169669>, <0.821017, 0.491738, -0.007506>, 
      <-1.642035, 0.434347, 0.052757>, <-0.821017, 0.434347, 0.044123>, <0.000000, 0.434347, 0.036604>, <0.821017, 0.434347, 0.001619>
    }
  }
  material {
    Marimekon_MuijaMkangas
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate <90.0, -90.0, 0.0>
  translate  <-2.66, 5.58, 0.81>
}
#declare Oloh_verho_oikea = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.843602, 0.015917>, <-0.821017, -0.843602, 0.012763>, <0.000000, -0.843602, 0.009660>, <0.821017, -0.843602, 0.000845>, 
      <-1.642035, -0.762221, 0.279664>, <-0.821017, -0.762221, 0.224251>, <0.000000, -0.762221, 0.169722>, <0.821017, -0.762221, 0.014844>, 
      <-1.642035, -0.513594, -0.319453>, <-0.821017, -0.513594, -0.251883>, <0.000000, -0.513594, -0.185391>, <0.821017, -0.513594, 0.003463>, 
      <-1.642035, -0.338322, 0.010782>, <-0.821017, -0.338322, 0.010782>, <0.000000, -0.338322, 0.010782>, <0.821017, -0.338322, 0.010782>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.338322, 0.010782>, <-0.821017, -0.338322, 0.010782>, <0.000000, -0.338322, 0.010782>, <0.821017, -0.338322, 0.010782>, 
      <-1.642035, -0.163049, 0.341017>, <-0.821017, -0.163049, 0.273447>, <0.000000, -0.163049, 0.206955>, <0.821017, -0.163049, 0.018101>, 
      <-1.642035, -0.095034, -0.224069>, <-0.821017, -0.095034, -0.179672>, <0.000000, -0.095034, -0.135982>, <0.821017, -0.095034, -0.011893>, 
      <-1.642035, 0.062068, 0.010945>, <-0.821017, 0.062068, 0.008776>, <0.000000, 0.062068, 0.006642>, <0.821017, 0.062068, 0.000581>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, 0.062068, 0.010945>, <-0.821017, 0.062068, 0.008776>, <0.000000, 0.062068, 0.006642>, <0.821017, 0.062068, 0.000581>, 
      <-1.642035, 0.219171, 0.245959>, <-0.821017, 0.219171, 0.197224>, <0.000000, 0.219171, 0.149267>, <0.821017, 0.219171, 0.013055>, 
      <-1.642035, 0.455773, -0.344062>, <-0.821017, 0.455773, -0.275889>, <0.000000, 0.455773, -0.208803>, <0.821017, 0.455773, -0.018262>, 
      <-1.642035, 0.558443, 0.105230>, <-0.821017, 0.558443, 0.083411>, <0.000000, 0.558443, 0.061940>, <0.821017, 0.558443, 0.000956>
    }
  }
  material {
    Marimekon_MuijaMkangas
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale <1.0, 0.8, 1.0>
  rotate <-90.0, -90.0, 0.0>
  translate  <1.43, 5.55, 0.81>
}
#declare Mh_verho_vasen = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.843602, 0.015917>, <-0.821017, -0.843602, 0.013312>, <0.000000, -0.843602, 0.011043>, <0.821017, -0.843602, 0.000489>, 
      <-1.642035, -0.802235, 0.341017>, <-0.821017, -0.802235, 0.285203>, <0.000000, -0.802235, 0.236603>, <0.821017, -0.802235, 0.010467>, 
      <-1.642035, -0.561034, -0.341017>, <-0.821017, -0.561034, -0.285203>, <0.000000, -0.561034, -0.236603>, <0.821017, -0.561034, -0.010467>, 
      <-1.642035, -0.362042, 0.000000>, <-0.821017, -0.362042, 0.000000>, <0.000000, -0.362042, 0.000000>, <0.821017, -0.362042, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.362042, 0.000000>, <-0.821017, -0.362042, 0.000000>, <0.000000, -0.362042, 0.000000>, <0.821017, -0.362042, 0.000000>, 
      <-1.642035, -0.163049, 0.341017>, <-0.821017, -0.163049, 0.285203>, <0.000000, -0.163049, 0.236603>, <0.821017, -0.163049, 0.010467>, 
      <-1.642035, -0.095034, -0.224069>, <-0.821017, -0.095034, -0.187396>, <0.000000, -0.095034, -0.155463>, <0.821017, -0.095034, -0.006877>, 
      <-1.642035, 0.112618, -0.007058>, <-0.821017, 0.112618, -0.005903>, <0.000000, 0.112618, -0.004897>, <0.821017, 0.112618, -0.000217>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, 0.112618, -0.007058>, <-0.821017, 0.112618, -0.005903>, <0.000000, 0.112618, -0.004897>, <0.821017, 0.112618, -0.000217>, 
      <-1.642035, 0.320270, 0.209952>, <-0.821017, 0.320270, 0.175589>, <0.000000, 0.320270, 0.145668>, <0.821017, 0.320270, 0.006444>, 
      <-1.642035, 0.491738, -0.244545>, <-0.821017, 0.491738, -0.204520>, <0.000000, 0.491738, -0.169669>, <0.821017, 0.491738, -0.007506>, 
      <-1.642035, 0.434347, 0.052757>, <-0.821017, 0.434347, 0.044123>, <0.000000, 0.434347, 0.036604>, <0.821017, 0.434347, 0.001619>
    }
  }
  material {
    Marimekon_UnikkoMkangas
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate <90.0, -90.0, 0.0>
  translate  <-7.09, -5.97, 0.81>
}
#declare Mh_verho_oikea = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.843602, 0.015917>, <-0.821017, -0.843602, 0.012763>, <0.000000, -0.843602, 0.009660>, <0.821017, -0.843602, 0.000845>, 
      <-1.642035, -0.762221, 0.279664>, <-0.821017, -0.762221, 0.224251>, <0.000000, -0.762221, 0.169722>, <0.821017, -0.762221, 0.014844>, 
      <-1.642035, -0.513594, -0.319453>, <-0.821017, -0.513594, -0.251883>, <0.000000, -0.513594, -0.185391>, <0.821017, -0.513594, 0.003463>, 
      <-1.642035, -0.338322, 0.010782>, <-0.821017, -0.338322, 0.010782>, <0.000000, -0.338322, 0.010782>, <0.821017, -0.338322, 0.010782>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.338322, 0.010782>, <-0.821017, -0.338322, 0.010782>, <0.000000, -0.338322, 0.010782>, <0.821017, -0.338322, 0.010782>, 
      <-1.642035, -0.163049, 0.341017>, <-0.821017, -0.163049, 0.273447>, <0.000000, -0.163049, 0.206955>, <0.821017, -0.163049, 0.018101>, 
      <-1.642035, -0.095034, -0.224069>, <-0.821017, -0.095034, -0.179672>, <0.000000, -0.095034, -0.135982>, <0.821017, -0.095034, -0.011893>, 
      <-1.642035, 0.062068, 0.010945>, <-0.821017, 0.062068, 0.008776>, <0.000000, 0.062068, 0.006642>, <0.821017, 0.062068, 0.000581>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, 0.062068, 0.010945>, <-0.821017, 0.062068, 0.008776>, <0.000000, 0.062068, 0.006642>, <0.821017, 0.062068, 0.000581>, 
      <-1.642035, 0.219171, 0.245959>, <-0.821017, 0.219171, 0.197224>, <0.000000, 0.219171, 0.149267>, <0.821017, 0.219171, 0.013055>, 
      <-1.642035, 0.455773, -0.344062>, <-0.821017, 0.455773, -0.275889>, <0.000000, 0.455773, -0.208803>, <0.821017, 0.455773, -0.018262>, 
      <-1.642035, 0.558443, 0.105230>, <-0.821017, 0.558443, 0.083411>, <0.000000, 0.558443, 0.061940>, <0.821017, 0.558443, 0.000956>
    }
  }
  material {
    Marimekon_UnikkoMkangas
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale <1.0, 0.8, 1.0>
  rotate <-90.0, -90.0, 0.0>
  translate  <-4.26, -5.97, 0.81>
}
#declare Keittioen_verho_vasen = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.843602, 0.015917>, <-0.821017, -0.843602, 0.013312>, <0.000000, -0.843602, 0.011043>, <0.821017, -0.843602, 0.000489>, 
      <-1.642035, -0.802235, 0.341017>, <-0.821017, -0.802235, 0.285203>, <0.000000, -0.802235, 0.236603>, <0.821017, -0.802235, 0.010467>, 
      <-1.642035, -0.561034, -0.341017>, <-0.821017, -0.561034, -0.285203>, <0.000000, -0.561034, -0.236603>, <0.821017, -0.561034, -0.010467>, 
      <-1.642035, -0.362042, 0.000000>, <-0.821017, -0.362042, 0.000000>, <0.000000, -0.362042, 0.000000>, <0.821017, -0.362042, 0.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.362042, 0.000000>, <-0.821017, -0.362042, 0.000000>, <0.000000, -0.362042, 0.000000>, <0.821017, -0.362042, 0.000000>, 
      <-1.642035, -0.163049, 0.341017>, <-0.821017, -0.163049, 0.285203>, <0.000000, -0.163049, 0.236603>, <0.821017, -0.163049, 0.010467>, 
      <-1.642035, -0.095034, -0.224069>, <-0.821017, -0.095034, -0.187396>, <0.000000, -0.095034, -0.155463>, <0.821017, -0.095034, -0.006877>, 
      <-1.642035, 0.112618, -0.007058>, <-0.821017, 0.112618, -0.005903>, <0.000000, 0.112618, -0.004897>, <0.821017, 0.112618, -0.000217>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, 0.112618, -0.007058>, <-0.821017, 0.112618, -0.005903>, <0.000000, 0.112618, -0.004897>, <0.821017, 0.112618, -0.000217>, 
      <-1.642035, 0.320270, 0.209952>, <-0.821017, 0.320270, 0.175589>, <0.000000, 0.320270, 0.145668>, <0.821017, 0.320270, 0.006444>, 
      <-1.642035, 0.491738, -0.244545>, <-0.821017, 0.491738, -0.204520>, <0.000000, 0.491738, -0.169669>, <0.821017, 0.491738, -0.007506>, 
      <-1.642035, 0.434347, 0.052757>, <-0.821017, 0.434347, 0.044123>, <0.000000, 0.434347, 0.036604>, <0.821017, 0.434347, 0.001619>
    }
  }
  material {
    Marimekon_PaivantasaajaMkangas
  }
  photons {
    collect off
  }
  scale <1.0, 0.6, 1.0>
  rotate <90.0, -90.0, 0.0>
  translate  <4.087455, 2.15, 0.86>
}
#declare Keittioen_verho_oikea = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.843602, 0.015917>, <-0.821017, -0.843602, 0.012763>, <0.000000, -0.843602, 0.009660>, <0.821017, -0.843602, 0.000845>, 
      <-1.642035, -0.762221, 0.279664>, <-0.821017, -0.762221, 0.224251>, <0.000000, -0.762221, 0.169722>, <0.821017, -0.762221, 0.014844>, 
      <-1.642035, -0.513594, -0.319453>, <-0.821017, -0.513594, -0.251883>, <0.000000, -0.513594, -0.185391>, <0.821017, -0.513594, 0.003463>, 
      <-1.642035, -0.338322, 0.010782>, <-0.821017, -0.338322, 0.010782>, <0.000000, -0.338322, 0.010782>, <0.821017, -0.338322, 0.010782>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, -0.338322, 0.010782>, <-0.821017, -0.338322, 0.010782>, <0.000000, -0.338322, 0.010782>, <0.821017, -0.338322, 0.010782>, 
      <-1.642035, -0.163049, 0.341017>, <-0.821017, -0.163049, 0.273447>, <0.000000, -0.163049, 0.206955>, <0.821017, -0.163049, 0.018101>, 
      <-1.642035, -0.095034, -0.224069>, <-0.821017, -0.095034, -0.179672>, <0.000000, -0.095034, -0.135982>, <0.821017, -0.095034, -0.011893>, 
      <-1.642035, 0.062068, 0.010945>, <-0.821017, 0.062068, 0.008776>, <0.000000, 0.062068, 0.006642>, <0.821017, 0.062068, 0.000581>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.642035, 0.062068, 0.010945>, <-0.821017, 0.062068, 0.008776>, <0.000000, 0.062068, 0.006642>, <0.821017, 0.062068, 0.000581>, 
      <-1.642035, 0.219171, 0.245959>, <-0.821017, 0.219171, 0.197224>, <0.000000, 0.219171, 0.149267>, <0.821017, 0.219171, 0.013055>, 
      <-1.642035, 0.455773, -0.344062>, <-0.821017, 0.455773, -0.275889>, <0.000000, 0.455773, -0.208803>, <0.821017, 0.455773, -0.018262>, 
      <-1.642035, 0.558443, 0.105230>, <-0.821017, 0.558443, 0.083411>, <0.000000, 0.558443, 0.061940>, <0.821017, 0.558443, 0.000956>
    }
  }
  material {
    Vihreae_verho
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale <1.0, 0.8, 1.0>
  rotate <-90.0, -90.0, 0.0>
  translate  <7.07, 2.11, 0.86>
}
#declare Ikkunat = union {
  object { Oh_ikkunankehys }
  object { Keittioen_ikkunankehys }
  object { Oloh_ikk_vas_sisae }
  object { Oloh_ikk_oik_sisae }
  object { Oloh_ikk_pieni_sisae }
  object { Keittioen_ikk_pieni_sisae }
  object { Keittioen_ikk_iso_sisae }
  object { Oloh_ikkunalauta }
  object { Keittioen_ikkunalauta }
  object { Oloh_verho_vasen }
  object { Oloh_verho_oikea }
  object { Mh_verho_vasen }
  object { Mh_verho_oikea }
  object { Keittioen_verho_vasen }
  object { Keittioen_verho_oikea }
  photons {
    collect off
  }
  // All transformations fixed
}
union { // Kiinteae_sisustus
  cylinder { // Oloh_vesiputki
    <0,0,1>, <0,0,0>, 1 
    material {
      Kattomaali
    }
    photons {
      collect off
    }
    scale <0.03, 0.03, 5.02>
    translate  <2.73, 5.31, -2.5>
  }
  cylinder { // Oloh_vesiputki1
    <0,0,1>, <0,0,0>, 1 
    material {
      Kattomaali
    }
    photons {
      collect off
    }
    scale <0.03, 0.03, 5.02>
    translate  <2.73, 5.51, -2.5>
  }
  box { // Oloh_ikk_ylaelevy
    <-1, -1, -1>, <1, 1, 1>
    material {
      Seinaemaali
    }
    photons {
      collect off
    }
    scale <3.04, 0.01, 0.46>
    translate  <-0.25, 5.41, 2.02>
  }
  box { // Keittioen_ikk_ylaelevy
    <-1, -1, -1>, <1, 1, 1>
    material {
      Seinaemaali
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <2.14, 0.01, 0.46>
    translate  <5.39, 1.99, 2.02>
  }
  object { Keittioen_kattolamppu }
  object { Mh_patteri }
  object { Oloh_patteri }
  object { Keittioen_patteri }
  object { Ikkunat }
  photons {
    collect off
  }
}


#declare Korkea_80cm_hyllyelementti = union {
  box { // Cube116
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <-0.79, 0.0, -1.903>
  }
  object { Cube117 }
  box { // Cube118
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <0.79, 0.0, -1.903>
  }
  box { // Cube147
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.8, 0.005, 1.918>
    translate  <0.0, 0.276, -1.904>
  }
  object { // Cube126 -> Cube117
    Cube117
    photons {
      collect off
    }
    translate  -0.64*z
  }
  object { // Cube127 -> Cube117
    Cube117
    photons {
      collect off
    }
    translate  -1.28*z
  }
  object { // Cube128 -> Cube117
    Cube117
    photons {
      collect off
    }
    translate  -1.92*z
  }
  object { // Cube129 -> Cube117
    Cube117
    photons {
      collect off
    }
    translate  -2.5*z
  }
  object { // Cube130 -> Cube117
    Cube117
    photons {
      collect off
    }
    translate  -3.14*z
  }
  photons {
    collect off
  }
  translate  <-1.42, 0.0, 4.023>
}
#declare Matala_80cm_hyllyelementti = union {
  box { // Cube110
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <-0.79, 0.0, -0.33>
  }
  box { // Cube113
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.78, 0.28, 0.014>
  }
  box { // Cube111
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <0.79, 0.0, -0.33>
  }
  box { // Cube151
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.8, 0.005, 0.347>
    translate  <0.0, 0.276, -0.333>
  }
  photons {
    collect off
  }
  translate  <-1.42, 0.0, 4.721>
}
#declare Korkea_60cm_hyllyelementti = union {
  box { // Cube119
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <-0.59, 0.0, -1.903>
  }
  object { Cube120 }
  box { // Cube121
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <0.59, 0.0, -1.903>
  }
  box { // Cube148
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 1.918>
    translate  <0.0, 0.276, -1.904>
  }
  object { // Cube131 -> Cube120
    Cube120
    photons {
      collect off
    }
    translate  -0.64*z
  }
  object { // Cube132 -> Cube120
    Cube120
    photons {
      collect off
    }
    translate  -1.28*z
  }
  object { // Cube133 -> Cube120
    Cube120
    photons {
      collect off
    }
    translate  -1.92*z
  }
  object { // Cube134 -> Cube120
    Cube120
    photons {
      collect off
    }
    translate  -2.5*z
  }
  object { // Cube135 -> Cube120
    Cube120
    photons {
      collect off
    }
    translate  -3.14*z
  }
  photons {
    collect off
  }
  translate  <-2.83, 0.0, 4.023>
}
#declare Matala_60cm_hyllyelementti = union {
  box { // Cube112
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <-0.59, 0.0, -0.33>
  }
  box { // Cube114
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
  box { // Cube115
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <0.59, 0.0, -0.33>
  }
  box { // Cube152
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 0.347>
    translate  <0.0, 0.276, -0.333>
  }
  photons {
    collect off
  }
  translate  <-2.83, 0.0, 4.721>
}
#declare Keskisuuri_80cm_hyllyelementti = union {
  box { // Cube122
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.959>
    translate  <-0.79, 0.0, -0.943>
  }
  object { Cube123 }
  box { // Cube124
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.959>
    translate  <0.79, 0.0, -0.943>
  }
  object { // Cube145 -> Cube123
    Cube123
    photons {
      collect off
    }
    translate  -0.58*z
  }
  object { // Cube146 -> Cube123
    Cube123
    photons {
      collect off
    }
    translate  -1.22*z
  }
  box { // Cube150
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.8, 0.005, 0.958>
    translate  <0.0, 0.276, -0.944>
  }
  photons {
    collect off
  }
  translate  <1.770289, 6.090265, 1.41026>
}
#declare Korkea_60cm_hyllyelementti1 = union {
  box { // Cube136
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <-0.59, 0.0, -1.903>
  }
  object { Cube137 }
  box { // Cube138
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <0.59, 0.0, -1.903>
  }
  box { // Cube149
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 1.918>
    translate  <0.0, 0.276, -1.904>
  }
  object { // Cube139 -> Cube137
    Cube137
    photons {
      collect off
    }
    translate  -0.448*z
  }
  object { // Cube140 -> Cube137
    Cube137
    photons {
      collect off
    }
    translate  -0.96*z
  }
  object { // Cube141 -> Cube137
    Cube137
    photons {
      collect off
    }
    translate  -1.408*z
  }
  object { // Cube142 -> Cube137
    Cube137
    photons {
      collect off
    }
    translate  -1.92*z
  }
  object { // Cube143 -> Cube137
    Cube137
    photons {
      collect off
    }
    translate  -2.5*z
  }
  object { // Cube144 -> Cube137
    Cube137
    photons {
      collect off
    }
    translate  -3.14*z
  }
  photons {
    collect off
  }
  translate  4.023*z
}
#declare Hyllyn_80cm_pohjaelementti = union {
  box { // Cube153
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <-0.79, 0.0, -0.083>
  }
  box { // Cube154
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.78, 0.28, 0.014>
  }
  box { // Cube155
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <0.79, 0.0, -0.083>
  }
  object { Cube156 }
  object { // Cube157 -> Cube156
    Cube156
    photons {
      collect off
    }
    rotate -0.0*x
    translate  -0.52*y
  }
  photons {
    collect off
  }
  translate  <-1.42, 0.0, 0.183>
}
#declare Hyllyn_60cm_pohjaelementti = union {
  box { // Cube158
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <-0.59, 0.0, -0.083>
  }
  box { // Cube159
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
  box { // Cube160
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <0.59, 0.0, -0.083>
  }
  object { Cube161 }
  object { // Cube162 -> Cube161
    Cube161
    photons {
      collect off
    }
    rotate 0.0*x
    translate  <0.0, -0.52, -0.0>
  }
  photons {
    collect off
  }
  translate  <-2.83, 0.0, 0.183>
}
#declare Matala_60cm_hyllyelementti1 = union {
  box { // Cube279
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <-0.59, 0.0, -0.33>
  }
  box { // Cube280
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
  box { // Cube281
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <0.59, 0.0, -0.33>
  }
  box { // Cube282
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 0.347>
    translate  <0.0, 0.276, -0.333>
  }
  photons {
    collect off
  }
  rotate <-0.0, 0.0, 0.0>
  translate  4.72*z
}
#declare Matala_60cm_hyllyelementti2 = union {
  box { // Cube283
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <-0.59, 0.0, -0.33>
  }
  box { // Cube284
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
  box { // Cube285
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <0.59, 0.0, -0.33>
  }
  box { // Cube286
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 0.347>
    translate  <0.0, 0.276, -0.333>
  }
  photons {
    collect off
  }
  rotate <-0.0, 0.0, 0.0>
  translate  <1.21, 0.0, 4.72>
}
#declare Korkea_60cm_hyllyelementti2 = union {
  box { // Cube305
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <-0.59, 0.0, -1.903>
  }
  object { Cube306 }
  box { // Cube307
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <0.59, 0.0, -1.903>
  }
  box { // Cube308
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 1.918>
    translate  <0.0, 0.276, -1.904>
  }
  object { // Cube309 -> Cube306
    Cube306
    photons {
      collect off
    }
    translate  -0.448*z
  }
  object { // Cube310 -> Cube306
    Cube306
    photons {
      collect off
    }
    translate  -0.96*z
  }
  object { // Cube311 -> Cube306
    Cube306
    photons {
      collect off
    }
    translate  -1.408*z
  }
  object { // Cube312 -> Cube306
    Cube306
    photons {
      collect off
    }
    translate  -1.92*z
  }
  object { // Cube313 -> Cube306
    Cube306
    photons {
      collect off
    }
    translate  -2.5*z
  }
  object { // Cube314 -> Cube306
    Cube306
    photons {
      collect off
    }
    translate  -3.14*z
  }
  photons {
    collect off
  }
  rotate <-0.0, -0.0, 0.0>
  translate  <1.21, 0.0, 4.023>
}
#declare Hyllyn_60cm_pohjaelementti2 = union {
  box { // Cube315
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <-0.59, 0.0, -0.083>
  }
  box { // Cube316
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
  box { // Cube317
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <0.59, 0.0, -0.083>
  }
  object { Cube318 }
  object { // Cube319 -> Cube318
    Cube318
    photons {
      collect off
    }
    rotate 0.0*x
    translate  <0.0, -0.52, -0.0>
  }
  photons {
    collect off
  }
  rotate -0.0*x
  translate  0.183*z
}
#declare Hyllyn_60cm_pohjaelementti3 = union {
  box { // Cube320
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <-0.59, 0.0, -0.083>
  }
  box { // Cube321
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
  box { // Cube322
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <0.59, 0.0, -0.083>
  }
  object { Cube323 }
  object { // Cube324 -> Cube323
    Cube323
    photons {
      collect off
    }
    rotate 0.0*x
    translate  <0.0, -0.52, -0.0>
  }
  photons {
    collect off
  }
  rotate <-0.0, -0.0, 0.0>
  translate  <1.21, 0.0, 0.183>
}
#declare Hyllyn_80cm_pohjaelementti1 = union {
  box { // Cube325
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <-0.79, 0.0, -0.083>
  }
  box { // Cube326
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.78, 0.28, 0.014>
  }
  box { // Cube327
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <0.79, 0.0, -0.083>
  }
  object { Cube328 }
  object { // Cube335 -> Cube328
    Cube328
    photons {
      collect off
    }
    rotate -0.0*x
    translate  -0.52*y
  }
  photons {
    collect off
  }
  rotate -0.0*x
  translate  <2.62, 0.0, 0.183>
}
#declare Matala_60cm_hyllyelementti3 = union {
  box { // Cube301
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <-0.59, 0.0, -0.33>
  }
  box { // Cube302
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
  box { // Cube303
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.35>
    translate  <0.59, 0.0, -0.33>
  }
  box { // Cube304
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 0.347>
    translate  <0.0, 0.276, -0.333>
  }
  photons {
    collect off
  }
  rotate <0.0, 0.0, 0.0>
  translate  <-4.04, 0.0, 4.711>
}
#declare Korkea_60cm_hyllyelementti3 = union {
  box { // Cube292
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <-0.59, 0.0, -1.903>
  }
  object { Cube293 }
  box { // Cube294
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 1.919>
    translate  <0.59, 0.0, -1.903>
  }
  box { // Cube295
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.6, 0.005, 1.918>
    translate  <0.0, 0.276, -1.904>
  }
  object { // Cube296 -> Cube293
    Cube293
    photons {
      collect off
    }
    translate  -0.64*z
  }
  object { // Cube297 -> Cube293
    Cube293
    photons {
      collect off
    }
    translate  -1.28*z
  }
  object { // Cube298 -> Cube293
    Cube293
    photons {
      collect off
    }
    translate  -1.92*z
  }
  object { // Cube299 -> Cube293
    Cube293
    photons {
      collect off
    }
    translate  -2.5*z
  }
  object { // Cube300 -> Cube293
    Cube293
    photons {
      collect off
    }
    translate  -3.14*z
  }
  photons {
    collect off
  }
  rotate <0.0, 0.0, 0.0>
  translate  <-4.04, 0.0, 4.013>
}
#declare Hyllyn_60cm_pohjaelementti1 = union {
  box { // Cube287
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <-0.59, 0.0, -0.083>
  }
  box { // Cube288
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.58, 0.28, 0.014>
  }
  box { // Cube289
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.014, 0.28, 0.099>
    translate  <0.59, 0.0, -0.083>
  }
  object { Cube290 }
  object { // Cube291 -> Cube290
    Cube290
    photons {
      collect off
    }
    rotate 0.0*x
    translate  <0.0, -0.52, -0.0>
  }
  photons {
    collect off
  }
  rotate <0.0, 0.0, 0.0>
  translate  <-4.04, 0.0, 0.173>
}
#declare Annan_kirjahylly = union {
  object { Korkea_80cm_hyllyelementti }
  object { Matala_80cm_hyllyelementti }
  object { Korkea_60cm_hyllyelementti }
  object { Matala_60cm_hyllyelementti }
  object { Keskisuuri_80cm_hyllyelementti }
  object { Korkea_60cm_hyllyelementti1 }
  object { Hyllyn_80cm_pohjaelementti }
  object { Hyllyn_60cm_pohjaelementti }
  object { Matala_60cm_hyllyelementti1 }
  object { Matala_60cm_hyllyelementti2 }
  object { Korkea_60cm_hyllyelementti2 }
  object { Hyllyn_60cm_pohjaelementti2 }
  object { Hyllyn_60cm_pohjaelementti3 }
  object { Hyllyn_80cm_pohjaelementti1 }
  object { Matala_60cm_hyllyelementti3 }
  object { Korkea_60cm_hyllyelementti3 }
  object { Hyllyn_60cm_pohjaelementti1 }
  material {
    Vaalea_kirjahyllypuu
  }
  photons {
    collect off
  }
  rotate 90.0*z
  translate  <-3.017854, 0.471065, -2.5>
}
#declare Sohvan_paeaetylevy2 = union {
  box { // Cube352
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.01, 1.84, 0.22>
    translate  0.52*z
  }
  box { // Cube353
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 1.84, 0.05>
    translate  0.33*z
  }
  box { // Cube354
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 1.84, 0.05>
    translate  0.71*z
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Sohvan_paeaetykaide2 = difference {
  box { // Cube355
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.02, 1.84, 0.06>
    translate  1.21*z
  }
  box { // Cube356
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 1.84, 0.006>
    translate  <0.02, 0.0, 1.225>
  }
  box { // Cube357
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 1.84, 0.006>
    translate  <0.02, 0.0, 1.195>
  }
  box { // Cube358
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 1.84, 0.006>
    translate  <-0.02, 0.0, 1.195>
  }
  box { // Cube359
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 1.84, 0.006>
    translate  <-0.02, 0.0, 1.225>
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Sohvan_pitkae_paeaety = union {
  object { Sohvan_paeaetylevy2 }
  object { Sohvan_paeaetykaide2 }
  object { Pinna16 }
  object { // Pinna17 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.1357*y
  }
  object { // Pinna18 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.2714*y
  }
  object { // Pinna19 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.4071*y
  }
  object { // Pinna20 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.5428*y
  }
  object { // Pinna21 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.6785*y
  }
  object { // Pinna22 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.8142*y
  }
  object { // Pinna23 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.9499*y
  }
  object { // Pinna24 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -1.0856*y
  }
  object { // Pinna25 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -1.2213*y
  }
  object { // Pinna26 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -1.357*y
  }
  object { // Pinna27 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -1.4927*y
  }
  object { // Pinna28 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -1.6284*y
  }
  object { // Pinna29 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -1.7641*y
  }
  object { // Pinna30 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -1.8998*y
  }
  object { // Pinna31 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -2.0355*y
  }
  object { // Pinna32 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -2.1712*y
  }
  object { // Pinna33 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -2.3069*y
  }
  object { // Pinna34 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -2.4426*y
  }
  object { // Pinna35 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -2.5783*y
  }
  object { // Pinna36 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -2.714*y
  }
  object { // Pinna37 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -2.8497*y
  }
  object { // Pinna38 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -2.9854*y
  }
  object { // Pinna39 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -3.1211*y
  }
  object { // Pinna40 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -3.2568*y
  }
  object { // Pinna41 -> Pinna16
    Pinna16
    photons {
      collect off
    }
    // All transformations fixed
    translate  -3.3925*y
  }
  box { // Sohvan_pohja
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.78, 0.6, 0.015>
    rotate 90.0*z
    translate  <0.59, -0.01, 0.439>
  }
  sphere { // Taivas
    <0,0,0>,1
    material {
      Yoetaivas
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale 1000.0
    rotate 90.0*z
    translate  <0.04, -0.01, 0.81>
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  rotate -90.0*z
  translate  <0.01, 0.57, 0.0>
}
#declare Sohvan_jalka = union {
  cylinder { // Cylndr056
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.04, 0.04, 1.31>
  }
  cylinder { // Cylndr057
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.025, 0.025, 0.04>
    translate  1.3*z
  }
  sphere { // Sphere026
    <0,0,0>,1
    photons {
      collect off
    }
    // All transformations fixed
    scale 0.04
    translate  1.36*z
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Sohvan_jalka1 = union {
  cylinder { // Cylndr058
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.04, 0.04, 1.31>
  }
  cylinder { // Cylndr059
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.025, 0.025, 0.04>
    translate  1.3*z
  }
  sphere { // Sphere027
    <0,0,0>,1
    photons {
      collect off
    }
    // All transformations fixed
    scale 0.04
    translate  1.36*z
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  1.2*y
}
#declare Sohvan_paeaetylevy = union {
  box { // Cube336
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.01, 0.58, 0.22>
    translate  <0.0, 0.6, 0.52>
  }
  box { // Cube337
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 0.58, 0.05>
    translate  <0.0, 0.6, 0.33>
  }
  box { // Cube338
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 0.58, 0.05>
    translate  <0.0, 0.6, 0.71>
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Sohvan_paeaetykaide = difference {
  box { // Cube339
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.02, 0.58, 0.06>
    translate  <0.0, 0.6, 1.21>
  }
  box { // Cube340
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 0.58, 0.006>
    translate  <0.02, 0.6, 1.225>
  }
  box { // Cube341
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 0.58, 0.006>
    translate  <0.02, 0.6, 1.195>
  }
  box { // Cube342
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 0.58, 0.006>
    translate  <-0.02, 0.6, 1.195>
  }
  box { // Cube343
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 0.58, 0.006>
    translate  <-0.02, 0.6, 1.225>
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Sohvan_paeaety = union {
  object { Sohvan_jalka }
  object { Sohvan_jalka1 }
  object { Sohvan_paeaetylevy }
  object { Sohvan_paeaetykaide }
  object { Pinna }
  object { // Pinna1 -> Pinna
    Pinna
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.125*y
  }
  object { // Pinna2 -> Pinna
    Pinna
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.25*y
  }
  object { // Pinna3 -> Pinna
    Pinna
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.375*y
  }
  object { // Pinna4 -> Pinna
    Pinna
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.5*y
  }
  object { // Pinna5 -> Pinna
    Pinna
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.625*y
  }
  object { // Pinna6 -> Pinna
    Pinna
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.75*y
  }
  object { // Pinna7 -> Pinna
    Pinna
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.875*y
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <-1.86, -0.62, 0.0>
}
#declare Sohvan_jalka2 = union {
  cylinder { // Cylndr060
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.04, 0.04, 1.31>
  }
  cylinder { // Cylndr061
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.025, 0.025, 0.04>
    translate  1.3*z
  }
  sphere { // Sphere028
    <0,0,0>,1
    photons {
      collect off
    }
    // All transformations fixed
    scale 0.04
    translate  1.36*z
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Sohvan_jalka3 = union {
  cylinder { // Cylndr062
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.04, 0.04, 1.31>
  }
  cylinder { // Cylndr063
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.025, 0.025, 0.04>
    translate  1.3*z
  }
  sphere { // Sphere029
    <0,0,0>,1
    photons {
      collect off
    }
    // All transformations fixed
    scale 0.04
    translate  1.36*z
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  1.2*y
}
#declare Sohvan_paeaetylevy1 = union {
  box { // Cube344
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.01, 0.58, 0.22>
    translate  <0.0, 0.6, 0.52>
  }
  box { // Cube345
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 0.58, 0.05>
    translate  <0.0, 0.6, 0.33>
  }
  box { // Cube346
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 0.58, 0.05>
    translate  <0.0, 0.6, 0.71>
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Sohvan_paeaetykaide1 = difference {
  box { // Cube347
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.02, 0.58, 0.06>
    translate  <0.0, 0.6, 1.21>
  }
  box { // Cube348
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 0.58, 0.006>
    translate  <0.02, 0.6, 1.225>
  }
  box { // Cube349
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 0.58, 0.006>
    translate  <0.02, 0.6, 1.195>
  }
  box { // Cube350
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 0.58, 0.006>
    translate  <-0.02, 0.6, 1.195>
  }
  box { // Cube351
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.004, 0.58, 0.006>
    translate  <-0.02, 0.6, 1.225>
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Sohvan_paeaety1 = union {
  object { Sohvan_jalka2 }
  object { Sohvan_jalka3 }
  object { Sohvan_paeaetylevy1 }
  object { Sohvan_paeaetykaide1 }
  object { Pinna8 }
  object { // Pinna9 -> Pinna8
    Pinna8
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.125*y
  }
  object { // Pinna10 -> Pinna8
    Pinna8
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.25*y
  }
  object { // Pinna11 -> Pinna8
    Pinna8
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.375*y
  }
  object { // Pinna12 -> Pinna8
    Pinna8
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.5*y
  }
  object { // Pinna13 -> Pinna8
    Pinna8
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.625*y
  }
  object { // Pinna14 -> Pinna8
    Pinna8
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.75*y
  }
  object { // Pinna15 -> Pinna8
    Pinna8
    photons {
      collect off
    }
    // All transformations fixed
    translate  -0.875*y
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <1.86, -0.62, 0.0>
}
#declare Sohvan_paeaetylevy3 = union {
  box { // Cube360
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.01, 1.78, 0.22>
    translate  0.52*z
  }
  box { // Cube361
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 1.78, 0.05>
    translate  0.33*z
  }
  box { // Cube362
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 1.78, 0.05>
    translate  0.71*z
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate -90.0*z
}
#declare Sohvalaatikon_paeaety = union {
  object { Sohvan_paeaetylevy3 }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  -0.62*y
}
#declare Sohvalaatikko = union {
  object { Sohvalaatikon_paeaety }
  cylinder { // Cylndr064
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.04, 0.04, 0.761>
    translate  <1.78, -0.62, 0.0>
  }
  cylinder { // Cylndr065
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.04, 0.04, 0.761>
    translate  <-1.78, -0.62, 0.0>
  }
  cylinder { // Cylndr066
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.04, 0.04, 0.31>
    translate  -0.55*y
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rotation fixed
  // Trans Y limited (-0.9 to   0.0)
}
#declare Sohvan_kansi = union {
  box { // Sohvan_kansilevy
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.815, 0.6, 0.02>
    translate  <0.0, -0.6, -0.03>
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot X limited (-93.0 to   0.0)
  // Translation fixed
  translate  <0.0, 0.53, 0.81>
}
#declare Pinnasohva = union {
  object { Sohvan_pitkae_paeaety }
  object { Sohvan_paeaety }
  object { Sohvan_paeaety1 }
  object { Sohvalaatikko }
  object { Sohvan_kansi }
  superellipsoid { // Sohvan_patja
    <0.02, 0.08>
    material {
      Nojatuolikangas
    }
    photons {
      collect off
    }
    scale <1.78, 0.62, 0.06>
    rotate -0.0*x
    translate  <0.0, -0.06, 0.86>
  }
  superellipsoid { // Sohvatyyny
    <0.1, 0.7>
    material {
      Vihreae_raesymatto
    }
    photons {
      collect off
    }
    scale <0.6, 0.3, 0.15>
    rotate <1.806793, 0.0, 90.0>
    translate  <-1.312972, -0.169982, 0.886809>
  }
  superellipsoid { // Sohvatyyny1
    <0.1, 0.7>
    material {
      Vihreae_raesymatto
    }
    photons {
      collect off
    }
    scale <0.6, 0.3, 0.15>
    rotate <107.0, -0.0, 90.0>
    translate  <-0.753003, -0.176059, 1.2>
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  // Scaling fixed
  rotate 89.605072*z
  translate  <-2.621624, -3.613338, -2.5>
}
#declare CSG005 = intersection {
  cone { // Cone001
    <0,0,0>, 0.0, <0,0,1>, 1.0
    photons {
      collect off
    }
    scale <0.75, 0.75, 0.8>
    translate  -0.8*z
  }
  box { // Cube371
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.77, 0.77, 0.02>
    translate  -0.012*z
  }
  photons {
    collect off
  }
  rotate <180.0, 0.0, 180.0>
  translate  1.14*z
}
#declare CSG006 = difference {
  cylinder { // Cylndr082
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.72, 0.72, 0.07>
  }
  cylinder { // Cylndr083
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.65, 0.65, 0.09>
    translate  -0.01*z
  }
  photons {
    collect off
  }
  translate  1.07*z
}
#declare Sohvapoeytae = union {
  object { CSG005 }
  object { CSG006 }
  object { Poeydaen_jalka }
  object { // Poeydaen_jalka1 -> Pydn jalka
    Poeydaen_jalka
    photons {
      collect off
    }
    rotate -90.0*z
  }
  object { // Poeydaen_jalka2 -> Pydn jalka
    Poeydaen_jalka
    photons {
      collect off
    }
    rotate -180.0*z
  }
  object { // Poeydaen_jalka3 -> Pydn jalka
    Poeydaen_jalka
    photons {
      collect off
    }
    rotate 90.0*z
  }
  object { Cylndr084 }
  object { // Cylndr085 -> Cylndr084
    Cylndr084
    photons {
      collect off
    }
    rotate -90.0*z
  }
  object { // Cylndr086 -> Cylndr084
    Cylndr084
    photons {
      collect off
    }
    rotate -180.0*z
  }
  object { // Cylndr087 -> Cylndr084
    Cylndr084
    photons {
      collect off
    }
    rotate 90.0*z
  }
  cylinder { // Sohvapoeydaen_lasi
    <0,0,1>, <0,0,0>, 1 
    material {
      Lasi
    }
    photons {
      collect off
    }
    scale <0.72, 0.72, 0.012>
    translate  1.173*z
  }
  material {
    Puu4
  }
  photons {
    collect off
  }
  rotate 13.367787*z
  translate  <0.881684, 2.313778, -2.5>
}
// Include contains 'Nojatuolin_istuintyyny1'
#include "ttseven.in1"

#declare Nojatuolin_istuintyyny1 = object {
  Nojatuolin_istuintyyny1_Raw
  material {
    Nojatuolikangas
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale 2.0
  rotate 90.0*x
  translate  <0.52, 0.53, 0.0>
}
// Include contains 'Nojatuolin_selkaenoja1'
#include "ttseven.in2"

#declare Nojatuolin_selkaenoja1 = object {
  Nojatuolin_selkaenoja1_Raw
  material {
    Nojatuolikangas
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale 2.0
  rotate -20.0*y
  translate  <-0.25, -0.526, 0.78>
}
// Include contains 'Nojatuolin_alaosa1'
#include "ttseven.in3"

#declare Nojatuolin_alaosa1 = object {
  Nojatuolin_alaosa1_Raw
  material {
    Nojatuolikangas
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale <1.9, 1.98, 2.0>
  rotate -5.0*y
  translate  <-0.26, -0.52, 0.51>
}
// Include contains 'Nojatuolin_etujalka2'
#include "ttseven.in4"

#declare Nojatuolin_etujalka2 = object {
  Nojatuolin_etujalka2_Raw
  material {
    Nojatuolipuu
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale 2.0
  rotate 90.0*x
  translate  <0.63, -0.531, 0.0>
}
// Include contains 'Nojatuolin_etujalka3'
#include "ttseven.in5"

#declare Nojatuolin_etujalka3 = object {
  Nojatuolin_etujalka3_Raw
  material {
    Nojatuolipuu
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale 2.0
  rotate 90.0*x
  translate  <0.63, 0.605, 0.0>
}
// Include contains 'Nojatuolin_takajalka2'
#include "ttseven.in6"

#declare Nojatuolin_takajalka2 = object {
  Nojatuolin_takajalka2_Raw
  material {
    Nojatuolipuu
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale 2.0
  rotate 90.0*x
  translate  <-0.55, -0.42, 0.0>
}
// Include contains 'Nojatuolin_takajalka3'
#include "ttseven.in7"

#declare Nojatuolin_takajalka3 = object {
  Nojatuolin_takajalka3_Raw
  material {
    Nojatuolipuu
  }
  photons {
    collect off
  }
  // All transformations fixed
  scale 2.0
  rotate 90.0*x
  translate  <-0.55, 0.5, 0.0>
}
#declare Nojatuoli1 = union {
  object { Nojatuolin_istuintyyny1 }
  object { Nojatuolin_selkaenoja1 }
  object { Nojatuolin_alaosa1 }
  object { Nojatuolin_etujalka2 }
  object { Nojatuolin_etujalka3 }
  object { Nojatuolin_takajalka2 }
  object { Nojatuolin_takajalka3 }
  cylinder { // Nojatuolin_ruuvi4
    <0,0,1>, <0,0,0>, 1 
    material {
      Messinki
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.01, 0.01, 0.08>
    rotate 90.0*x
    translate  <0.53, -0.53, 0.64>
  }
  cylinder { // Nojatuolin_ruuvi5
    <0,0,1>, <0,0,0>, 1 
    material {
      Messinki
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.01, 0.01, 0.08>
    rotate 90.0*x
    translate  <0.53, 0.606, 0.64>
  }
  cylinder { // Nojatuolin_ruuvi6
    <0,0,1>, <0,0,0>, 1 
    material {
      Messinki
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.01, 0.01, 0.08>
    rotate 90.0*x
    translate  <-0.48, 0.606, 0.98>
  }
  cylinder { // Nojatuolin_ruuvi7
    <0,0,1>, <0,0,0>, 1 
    material {
      Messinki
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.01, 0.01, 0.08>
    rotate 90.0*x
    translate  <-0.48, -0.526, 0.98>
  }
  photons {
    collect off
  }
  // Scaling fixed
  rotate -42.96825*z
  translate  <-0.98021, 4.400625, -2.498>
}
#declare Lipaston_runko = union {
  cylinder { // Cylndr051
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.05, 0.72>
    rotate -90.0*x
    translate  <-0.56, -0.36, 1.24>
  }
  cylinder { // Cylndr052
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.05, 0.72>
    rotate -90.0*x
    translate  <0.56, -0.36, 1.24>
  }
  cylinder { // Cylndr053
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.05, 0.72>
    rotate -90.0*x
    translate  <0.52, -0.36, 0.61>
  }
  cylinder { // Cylndr054
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.05, 0.72>
    rotate -90.0*x
    translate  <-0.52, -0.36, 0.61>
  }
  box { // Cube234
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.56, 0.36, 0.025>
    translate  1.265*z
  }
  box { // Cube235
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.52, 0.36, 0.025>
    translate  0.585*z
  }
  box { // Cube236
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.315, 0.36, 0.025>
    rotate 86.399994*y
    translate  <-0.564, 0.0, 0.925>
  }
  box { // Cube237
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.315, 0.36, 0.025>
    rotate -86.400009*y
    translate  <0.564, 0.0, 0.925>
  }
  box { // Cube238
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.568, 0.01, 0.32>
    translate  <0.0, 0.349, 0.925>
  }
  box { // Cube239
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.44, 0.015, 0.035>
    translate  <0.0, -0.225, 0.53>
  }
  box { // Cube240
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.24, 0.015, 0.035>
    rotate 90.0*z
    translate  <-0.425, 0.0, 0.53>
  }
  box { // Cube241
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.24, 0.015, 0.035>
    rotate 90.0*z
    translate  <0.425, 0.0, 0.53>
  }
  box { // Cube242
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.44, 0.015, 0.035>
    translate  <0.0, 0.225, 0.53>
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Lipaston_kansilevy = prism {
  linear_sweep
  linear_spline
  -0.01,0.0
  5  // control points
  <-0.54, 0.005>,
  <0.54, 0.005>,
  <0.58, 0.65>,
  <-0.58, 0.65>,
  <-0.54, 0.005>
  rotate -x*90
  material {
    Puu4
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate 90.0*x
  translate  -0.005*z
}
// Include contains 'Lipaston_kahva'
#include "ttseven.in8"

#declare Lipaston_kahva = object {
  Lipaston_kahva_Raw
  material {
    Puu4
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate <90.0, -5.0, 90.0>
  translate  <-0.09, -0.009, 0.554>
}
#declare Lipaston_kansi = union {
  object { Lipaston_kansilevy }
  object { Lipaston_kahva }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot X limited (0.0 to   100.0)
  // Translation fixed
  rotate <0.0, 0.0, 0.0>
  translate  <0.0, -0.361, 0.596>
}
#declare Lipaston_jalka = difference {
  box { // Cube243
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.035, 0.03, 0.28>
  }
  box { // Cube244
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.02, 0.3>
    rotate -2.0*x
    translate  0.04*y
  }
  box { // Cube245
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 0.04, 0.3>
    rotate -1.5*y
    translate  -0.055*x
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate -90.0*z
  translate  <-0.412, -0.207, 0.281>
}
#declare Lipaston_jalka1 = difference {
  box { // Cube246
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.035, 0.03, 0.28>
  }
  box { // Cube247
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.02, 0.3>
    rotate -2.0*x
    translate  0.04*y
  }
  box { // Cube248
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 0.04, 0.3>
    rotate -1.5*y
    translate  -0.055*x
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate 90.0*z
  translate  <0.411, 0.207, 0.281>
}
#declare Lipaston_jalka2 = difference {
  box { // Cube249
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.035, 0.03, 0.28>
  }
  box { // Cube250
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.02, 0.3>
    rotate 2.0*x
    translate  -0.04*y
  }
  box { // Cube251
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 0.04, 0.3>
    rotate -1.5*y
    translate  -0.055*x
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate 90.0*z
  translate  <-0.411, 0.207, 0.281>
}
#declare Lipaston_jalka3 = difference {
  box { // Cube252
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.035, 0.03, 0.28>
  }
  box { // Cube253
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.05, 0.02, 0.3>
    rotate 2.0*x
    translate  -0.04*y
  }
  box { // Cube254
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.03, 0.04, 0.3>
    rotate -1.5*y
    translate  -0.055*x
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate 90.0*z
  translate  <0.411, -0.207, 0.281>
}
#declare Pikkulipasto = union {
  object { Lipaston_runko }
  object { Lipaston_kansi }
  object { Lipaston_jalka }
  object { Lipaston_jalka1 }
  object { Lipaston_jalka2 }
  object { Lipaston_jalka3 }
  material {
    Puu4
  }
  photons {
    collect off
  }
  // Scaling fixed
  rotate 5.930296*z
  translate  <-1.637257, 2.846036, -2.5>
}
#declare LundiaMtikas = union {
  box { // Cube182
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.04, 2.1>
    translate  -0.261*y
  }
  box { // Cube183
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.04, 2.1>
    translate  0.26*y
  }
  box { // Cube184
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.3, 0.04>
    translate  2.02*z
  }
  box { // Cube185
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.3, 0.04>
    translate  -2.02*z
  }
  box { // Cube186
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.3, 0.04>
  }
  photons {
    collect off
  }
  translate  -0.8*x
}
#declare LundiaMtikas1 = union {
  box { // Cube187
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.04, 2.1>
    translate  -0.261*y
  }
  box { // Cube188
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.04, 2.1>
    translate  0.26*y
  }
  box { // Cube189
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.3, 0.04>
    translate  2.02*z
  }
  box { // Cube190
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.3, 0.04>
    translate  -2.02*z
  }
  box { // Cube191
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.3, 0.04>
  }
  photons {
    collect off
  }
  translate  0.8*x
}
#declare LundiaMtikas2 = union {
  box { // Cube192
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.04, 1.48>
    translate  <0.0, -0.261, -0.62>
  }
  box { // Cube193
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.04, 1.48>
    translate  <0.0, 0.26, -0.62>
  }
  box { // Cube194
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.3, 0.04>
    translate  0.78*z
  }
  box { // Cube195
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.3, 0.04>
    translate  -2.02*z
  }
  box { // Cube196
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.03, 0.3, 0.04>
    translate  -1.02*z
  }
  photons {
    collect off
  }
  rotate <0.0, -0.0, -180.0>
  translate  1.8*x
}
#declare LundiaMkirjahylly = union {
  object { LundiaMtikas }
  object { LundiaMtikas1 }
  box { // LundiaMhylly_80_cm
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  0.06*z
  }
  box { // LundiaMhylly_80_cm1
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  -1.96*z
  }
  box { // LundiaMhylly_80_cm2
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  1.26*z
  }
  box { // LundiaMhylly_80_cm3
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  0.96*z
  }
  box { // LundiaMhylly_80_cm4
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  0.66*z
  }
  box { // LundiaMhylly_80_cm5
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  0.36*z
  }
  box { // LundiaMhylly_80_cm6
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  -0.56*z
  }
  box { // LundiaMhylly_80_cm7
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  -1.26*z
  }
  box { // LundiaMhylly_80_cm8
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  1.56*z
  }
  box { // LundiaMhylly_80_cm9
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.79, 0.3, 0.02>
    translate  2.08*z
  }
  object { LundiaMtikas2 }
  box { // LundiaMhylly_50_cm
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.49, 0.3, 0.02>
    rotate <0.0, -0.0, -180.0>
    translate  <1.3, 0.0, 0.16>
  }
  box { // LundiaMhylly_50_cm1
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.49, 0.3, 0.02>
    rotate <0.0, -0.0, -180.0>
    translate  <1.3, 0.0, -1.96>
  }
  box { // LundiaMhylly_50_cm5
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.49, 0.3, 0.02>
    rotate <0.0, -0.0, -180.0>
    translate  <1.3, 0.0, 0.86>
  }
  box { // LundiaMhylly_50_cm3
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.49, 0.3, 0.02>
    rotate <0.0, -0.0, -180.0>
    translate  <1.3, 0.0, -0.56>
  }
  box { // LundiaMhylly_50_cm4
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.49, 0.3, 0.02>
    rotate <0.0, -0.0, -180.0>
    translate  <1.3, 0.0, -1.26>
  }
  material {
    Vaalea_kirjahyllypuu
  }
  photons {
    collect off
  }
  rotate -17.690582*z
  translate  <0.63458, 4.659959, -0.4>
}
#declare RotSweep005 = lathe {
  linear_spline
  6  // control points
  <0.085, 0.0>,
  <0.085, 0.22>,
  <0.07, 0.26>,
  <0.085, 0.6>,
  <0.065, 0.605>,
  <0.065, 0.615>
  rotate <90,0,90>
  photons {
    collect off
  }
  // All transformations fixed
  translate  0.205*z
}
// Include contains 'TransSweep020'
#include "ttseven.in9"

#declare TransSweep020 = object {
  TransSweep020_Raw
  photons {
    collect off
  }
  // All transformations fixed
  rotate 90.0*x
  translate  0.02*y
}
// Include contains 'TransSweep021'
#include "ttseven.i10"

#declare TransSweep021 = object {
  TransSweep021_Raw
  photons {
    collect off
  }
  // All transformations fixed
  rotate <90.0, 0.0, 90.0>
  translate  <-0.02, 0.02, 0.0>
}
#declare Pianotuolin_jalka = union {
  object { RotSweep005 }
  object { TransSweep020 }
  object { TransSweep021 }
  material {
    Pianopuu
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare CSG007 = difference {
  superellipsoid { // SuperQ003
    <1.0, 0.6>
    material {
      Musta_kangas
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.37, 0.37, 0.07>
    translate  0.99*z
  }
  box { // Cube411
    <-1, -1, -1>, <1, 1, 1>
    material {
      Ruskea_maali
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.35, 0.35, 0.04>
    translate  0.9*z
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare RotSweep006 = lathe {
  linear_spline
  5  // control points
  <0.025, -0.01>,
  <0.025, 0.065>,
  <0.045, 0.095>,
  <0.08, 0.095>,
  <0.09, 0.125>
  rotate <90,0,90>
  material {
    Ruskea_maali
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  0.82*z
}
#declare Pianotuolin_istuin = union {
  object { CSG007 }
  object { RotSweep006 }
  photons {
    collect off
  }
  // Scaling fixed
  // Translation fixed
}
#declare Pianotuoli = union {
  object { Pianotuolin_jalka }
  object { Pianotuolin_istuin }
  photons {
    collect off
  }
  // Scaling fixed
  rotate -97.529129*z
  translate  <1.518886, 0.372274, -2.5>
}
#declare Kartiolasi1 = difference {
  cone { // Cone016
    <0,0,0>, 0.055, <0,0,1>, 0.08
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.16>
    translate  <1.85, 1.19, 0.19>
  }
  cone { // Cone017
    <0,0,0>, 0.045, <0,0,1>, 0.077
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.14>
    translate  0.03*z
  }
  material {
    Lasi
  }
  photons {
    collect off
  }
  translate  <2.838011, 0.979637, -1.5>
}
#declare Kaiuttimen_koppa = intersection {
  superellipsoid { // SuperQ004
    <0.002, 0.15>
    photons {
      collect off
    }
    scale <0.23, 0.36, 0.24>
    rotate -0.0*y
  }
  box { // Cube198
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.24, 0.37, 0.22>
    translate  0.03*z
  }
  material {
    Ruusupuu
  }
  photons {
    collect off
  }
}
#declare Kaiuttimen_kangas = intersection {
  superellipsoid { // SuperQ005
    <0.002, 0.25>
    photons {
      collect off
    }
    scale <0.22, 0.35, 0.24>
    rotate -0.0*y
  }
  box { // Cube199
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.23, 0.36, 0.21>
    translate  0.02*z
  }
  material {
    Musta_kangas
  }
  photons {
    collect off
  }
  translate  0.02*z
}
#declare Kaiutin_oikea = union {
  object { Kaiuttimen_koppa }
  object { Kaiuttimen_kangas }
  }

  photons {
    collect off
  }
  rotate <64.604088, -90.0, 0.0>
  translate  <1.964922, 4.330439, -1.399721>
}
#declare Kaiuttimen_koppa1 = intersection {
  superellipsoid { // SuperQ006
    <0.002, 0.15>
    photons {
      collect off
    }
    scale <0.23, 0.36, 0.24>
    rotate -0.0*y
  }
  box { // Cube200
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.24, 0.37, 0.22>
  }
  material {
    Ruusupuu
  }
  photons {
    collect off
  }
}
#declare Kaiuttimen_kangas1 = intersection {
  superellipsoid { // SuperQ007
    <0.002, 0.25>
    photons {
      collect off
    }
    scale <0.22, 0.35, 0.24>
    rotate -0.0*y
  }
  box { // Cube201
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.23, 0.36, 0.21>
    translate  0.02*z
  }
  material {
    Musta_kangas
  }
  photons {
    collect off
  }
  translate  0.02*z
}
#declare Kaiutin_vasen = union {
  object { Kaiuttimen_koppa1 }
  object { Kaiuttimen_kangas1 }
  }

  photons {
    collect off
  }
  rotate <90.0, -0.0, 6.15776>
  translate  <1.973468, 3.387498, -2.138866>
}
#declare Jalkalampun_jalka = union {
  cylinder { // Cylndr155
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.23, 0.23, 0.04>
    translate  0.03*z
  }
  cylinder { // Cylndr156
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.013, 0.013, 2.55>
    translate  0.05*z
  }
  cylinder { // Cylndr157
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale 0.04
    rotate 90.0*x
    translate  <0.02, 0.015, 2.06>
  }
  sphere { // Sphere074
    <0,0,0>,1
    material {
      Pelti
    }
    photons {
      collect off
    }
    scale <0.03, 0.02, 0.03>
    translate  <0.02, -0.01, 2.06>
  }
  cylinder { // Cylndr167
    <0,0,1>, <0,0,0>, 1 
    material {
      Musta_muovi
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.22, 0.22, 0.04>
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare RndDisc001 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0350, 0.0350, 0.2000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1700> translate 0.0150*z }
  torus { 0.0350, 0.0150  rotate -x*90 translate  0.1850*z bounded_by { box { <-0.0503, -0.0503, 0.1697>, <0.0503, 0.0503, 0.2003> } } }
  torus { 0.0350, 0.0150  rotate -x*90 translate  0.0150*z bounded_by { box { <-0.0503, -0.0503, -0.0003>, <0.0503, 0.0503, 0.0303> } } }
  photons {
    collect off
  }
  // All transformations fixed
  rotate <-0.0, 90.0, 0.0>
  translate  -0.12*x
}
#declare Jalkalampun_varjostin = union {
  object { RndDisc001 }
  cone { // Cone045
    <0,0,0>, 0.049, <0,0,1>, 0.155
    open
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.12>
    rotate 90.0*y
    translate  0.06*x
  }
  sphere { // Hehkulamppu
    <0,0,0>,1
    material {
      Lamppumuovi
    }
    photons {
      collect off
    }
    scale 0.05
    translate  0.13*x
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot Z limited (-100.0 to   100.0)
  // Translation fixed
  rotate <-0.0, 0.0, 11.0>
  translate  <-0.02, 0.03, 0.36>
}
#declare Jalkalampun_varsi = union {
  cylinder { // Cylndr158
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.04, 0.04, 0.03>
    rotate <90.0, -0.0, 0.0>
    translate  0.047*y
  }
  cylinder { // Cylndr159
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.01, 0.01, 0.64>
    translate  <-0.02, 0.03, -0.32>
  }
  object { Jalkalampun_varjostin }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot Y limited (30.0 to   140.0)
  // Translation fixed
  rotate 35.0*y
  translate  <0.02, 0.0, 2.06>
}
#declare Jalkalamppu = union {
  object { Jalkalampun_jalka }
  object { Jalkalampun_varsi }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  // Scaling fixed
  rotate 175.567261*z
  translate  <-0.404818, 2.512232, -2.507174>
}
#declare Poeytaelampun_jalka = intersection {
  superellipsoid { // SuperQ010
    <1.0, 0.3>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.22, 0.22, 0.03>
  }
  box { // Cube669
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.23, 0.23, 0.014>
    translate  0.014*z
  }
  material {
    Posliini
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Poeytaelampun_kurki = union {
  cylinder { // Cylndr223
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.02, 0.02, 0.15>
    rotate 90.0*y
    translate  -0.06*x
  }
  box { // Cube670
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.006, 0.02>
    translate  0.1*x
  }
  material {
    Musta_muovi
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  -0.14*x
}
#declare Ontto_hehkulamppu = difference {
  sphere { // Hehkulamppu1
    <0,0,0>,1
    material {
      Lamppumuovi
    }
    photons {
      collect off
    }
    scale 0.05
    rotate <0.0, -0.0, 0.0>
    translate  0.0*y
  }
  sphere { // Hehkulamppu2
    <0,0,0>,1
    material {
      Lamppumuovi
    }
    photons {
      collect off
    }
    scale 0.05
    rotate <0.0, -0.0, 0.0>
    translate  0.0*y
  }
  photons {
    collect off
  }
  translate  <0.11, 0.0, -0.12>
}
#declare Poeytaelampun_varjostin = union {
  box { // Cube671
    <-1, -1, -1>, <1, 1, 1>
    material {
      Musta_muovi
    }
    photons {
      collect off
    }
    scale <0.04, 0.015, 0.02>
    translate  0.03*x
  }
  cylinder { // Cylndr224
    <0,0,1>, <0,0,0>, 1 
    material {
      Musta_muovi
    }
    photons {
      collect off
    }
    scale <0.05, 0.05, 0.14>
    translate  <0.11, 0.0, -0.05>
  }
  cone { // Cone064
    <0,0,0>, 0.23, <0,0,1>, 0.049
    open
    material {
      Lamppumetalli
    }
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
    translate  <0.11, 0.0, -0.15>
  }
  cone { // Cone065
    <0,0,0>, 0.13, <0,0,1>, 0.048
    open
    material {
      Pelti
    }
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.05>
    translate  <0.11, 0.0, -0.091>
  }
  object { Ontto_hehkulamppu }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot Y limited (-70.0 to   -9.0)
  // Translation fixed
  rotate <-0.0, -9.0, -0.0>
  translate  -0.03*x
}
#declare Poeytaelampun_koneisto = union {
  object { Poeytaelampun_kurki }
  object { Poeytaelampun_varjostin }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot X limited (-20.0 to   130.0)
  // Trans Z limited (0.35 to   0.95)
  rotate -14.0*x
  translate  0.7*z
}
#declare Poeytaelamppu = union {
  object { Poeytaelampun_jalka }
  cylinder { // Poeytaelampun_tanko
    <0,0,1>, <0,0,0>, 1 
    material {
      Pelti
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 1.0>
    translate  <-0.14, 0.0, 0.025>
  }
  object { Poeytaelampun_koneisto }
  photons {
    collect off
  }
  rotate 56.0*z
  translate  <-1.427985, 2.987092, -1.209597>
}
#declare Annan_peilin_kehys = union {
  box { // Cube428
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.27, 0.012, 0.014>
    translate  0.46*z
  }
  box { // Cube429
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.27, 0.012, 0.014>
    translate  -0.26*z
  }
  box { // Cube431
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.014, 0.013, 0.375>
    translate  <-0.257, 0.0, 0.1>
  }
  box { // Cube432
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.014, 0.013, 0.375>
    translate  <0.257, 0.0, 0.1>
  }
  material {
    Kirjahyllypuu
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rotation fixed
}
#declare Saerkynyt_lasi = object { 
  height_field {
    sys "peili3.bmp"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    Peililasi
  }
  scale <0.25, 0.35, 0.005>
  rotate <-90.0, -180.0, -180.0>
  translate  0.1*z
}
#declare Saerkyneen_lasin_kromi = object { 
  height_field {
    sys "peili3.bmp"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    Kromi1
  }
  scale <0.25, 0.35, 0.005>
  rotate <-90.0, -180.0, -180.0>
  translate  <0.0, 0.006842, 0.1>
}
#declare Saerkynyt_peili = union {
  box { // Annan_peilin_tausta
    <-1, -1, -1>, <1, 1, 1>
    material {
      Peilin_taustapuu
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.25, 0.005, 0.35>
    translate  <0.0, 0.007, 0.1>
  }
  object { Annan_peilin_kehys }
  object { Saerkynyt_lasi }
  object { Saerkyneen_lasin_kromi }
  photons {
    collect off
  }
  scale <1.5, 1.0, 1.5>
  rotate <-90.0, 0.0, -228.964645>
  translate  <1.719192, -2.458638, -2.487>
}
#declare TransSweep014 = prism {
  linear_sweep
  linear_spline
  -0.08,0.0
  5  // control points
  <-0.32, -0.4>,
  <0.32, -0.4>,
  <0.39, 0.39>,
  <-0.39, 0.39>,
  <-0.32, -0.4>
  rotate -x*90
  photons {
    collect off
  }
  // All transformations fixed
  translate  0.86*z
}
//
// Include file contains 'RotSweep001'
//
#include "ttseven.i11"
#declare RotSweep001 = object {
  RotSweep001_Raw
  photons {
    collect off
  }
  // All transformations fixed
  rotate <18.0, -2.0, 0.0>
  translate  <-0.29, -0.3, 0.93>
}
//
// Include file contains 'RotSweep002'
//
#include "ttseven.i12"
#declare RotSweep002 = object {
  RotSweep002_Raw
  photons {
    collect off
  }
  // All transformations fixed
  rotate <18.0, 2.0, 0.0>
  translate  <0.29, -0.3, 0.93>
}
// Include contains 'TransSweep015'
#include "ttseven.i13"

#declare TransSweep015 = object {
  TransSweep015_Raw
  photons {
    collect off
  }
  // All transformations fixed
  rotate 18.0*x
  translate  <0.0, -0.38, 1.21>
}
// Include contains 'TransSweep016'
#include "ttseven.i14"

#declare TransSweep016 = object {
  TransSweep016_Raw
  photons {
    collect off
  }
  // All transformations fixed
  rotate 18.0*x
  translate  <0.0, -0.52, 1.643>
}
#declare Pinnatuoli = union {
  object { TransSweep014 }
  cone { // Cone002
    <0,0,0>, 0.02, <0,0,1>, 0.035
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.88>
    rotate <-6.0, 6.0, 0.0>
    translate  <-0.3, -0.43, 0.0>
  }
  cone { // Cone006
    <0,0,0>, 0.02, <0,0,1>, 0.035
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.88>
    rotate <-6.0, -6.0, 0.0>
    translate  <0.3, -0.43, 0.0>
  }
  cone { // Cone007
    <0,0,0>, 0.02, <0,0,1>, 0.035
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.88>
    rotate <5.0, 3.0, 0.0>
    translate  <-0.35, 0.39, 0.0>
  }
  cone { // Cone008
    <0,0,0>, 0.02, <0,0,1>, 0.035
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.88>
    rotate <5.0, -3.0, 0.0>
    translate  <0.35, 0.39, 0.0>
  }
  cylinder { // Cylndr090
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 0.46>
    rotate 90.0*y
    translate  <-0.23, -0.375, 0.53>
  }
  cylinder { // Cylndr091
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 0.64>
    rotate 90.0*y
    translate  <-0.32, 0.343, 0.53>
  }
  cylinder { // Cylndr092
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 0.7>
    rotate <90.0, -0.0, 7.0>
    translate  <-0.32, 0.34, 0.61>
  }
  cylinder { // Cylndr093
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 0.7>
    rotate <90.0, -0.0, -7.0>
    translate  <0.32, 0.34, 0.61>
  }
  cylinder { // Cylndr094
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 0.72>
    rotate <90.0, -0.0, -6.0>
    translate  <0.33, 0.34, 0.47>
  }
  cylinder { // Cylndr095
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 0.72>
    rotate <90.0, -0.0, 6.0>
    translate  <-0.33, 0.34, 0.47>
  }
  object { RotSweep001 }
  object { RotSweep002 }
  sphere { // Sphere032
    <0,0,0>,1
    photons {
      collect off
    }
    // All transformations fixed
    scale 0.02
    translate  <-0.317, -0.562, 1.735>
  }
  sphere { // Sphere033
    <0,0,0>,1
    photons {
      collect off
    }
    // All transformations fixed
    scale 0.02
    translate  <0.317, -0.562, 1.735>
  }
  object { TransSweep015 }
  object { TransSweep016 }
  cylinder { // Cylndr096
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.008, 0.008, 0.41>
    rotate 17.5*x
    translate  <0.0, -0.447, 1.24>
  }
  cylinder { // Cylndr097
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.008, 0.008, 0.41>
    rotate <17.5, 7.0, 0.0>
    translate  <0.09, -0.44, 1.24>
  }
  cylinder { // Cylndr098
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.008, 0.008, 0.41>
    rotate <17.5, -7.0, 0.0>
    translate  <-0.09, -0.44, 1.24>
  }
  cylinder { // Cylndr099
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.008, 0.008, 0.41>
    rotate <17.5, -3.5, 0.0>
    translate  <-0.045, -0.443, 1.24>
  }
  cylinder { // Cylndr100
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.008, 0.008, 0.41>
    rotate <17.5, 3.5, 0.0>
    translate  <0.045, -0.443, 1.24>
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  // Scaling fixed
  rotate <0.0, -180.0, -150.552505>
  translate  <-0.016653, 0.083408, -0.619383>
}
#declare TransSweep017 = prism {
  linear_sweep
  linear_spline
  -0.08,0.0
  5  // control points
  <-0.32, -0.4>,
  <0.32, -0.4>,
  <0.39, 0.39>,
  <-0.39, 0.39>,
  <-0.32, -0.4>
  rotate -x*90
  photons {
    collect off
  }
  translate  0.86*z
}
//
// Include file contains 'RotSweep003'
//
#include "ttseven.i15"
#declare RotSweep003 = object {
  RotSweep003_Raw
  photons {
    collect off
  }
  rotate <18.0, -2.0, 0.0>
  translate  <-0.29, -0.3, 0.93>
}
//
// Include file contains 'RotSweep004'
//
#include "ttseven.i16"
#declare RotSweep004 = object {
  RotSweep004_Raw
  photons {
    collect off
  }
  rotate <18.0, 2.0, 0.0>
  translate  <0.29, -0.3, 0.93>
}
// Include contains 'TransSweep018'
#include "ttseven.i17"

#declare TransSweep018 = object {
  TransSweep018_Raw
  photons {
    collect off
  }
  rotate 18.0*x
  translate  <0.0, -0.38, 1.21>
}
// Include contains 'TransSweep019'
#include "ttseven.i18"

#declare TransSweep019 = object {
  TransSweep019_Raw
  photons {
    collect off
  }
  rotate 18.0*x
  translate  <0.0, -0.52, 1.643>
}
#declare Pinnatuoli1 = union {
  object { TransSweep017 }
  cone { // Cone009
    <0,0,0>, 0.02, <0,0,1>, 0.035
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.88>
    rotate <-6.0, 6.0, 0.0>
    translate  <-0.3, -0.43, 0.0>
  }
  cone { // Cone010
    <0,0,0>, 0.02, <0,0,1>, 0.035
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.88>
    rotate <-6.0, -6.0, 0.0>
    translate  <0.3, -0.43, 0.0>
  }
  cone { // Cone011
    <0,0,0>, 0.02, <0,0,1>, 0.035
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.88>
    rotate <5.0, 3.0, 0.0>
    translate  <-0.35, 0.39, 0.0>
  }
  cone { // Cone012
    <0,0,0>, 0.02, <0,0,1>, 0.035
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.88>
    rotate <5.0, -3.0, 0.0>
    translate  <0.35, 0.39, 0.0>
  }
  cylinder { // Cylndr101
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.015, 0.015, 0.46>
    rotate 90.0*y
    translate  <-0.23, -0.375, 0.53>
  }
  cylinder { // Cylndr102
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.015, 0.015, 0.64>
    rotate 90.0*y
    translate  <-0.32, 0.343, 0.53>
  }
  cylinder { // Cylndr103
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.015, 0.015, 0.7>
    rotate <90.0, -0.0, 7.0>
    translate  <-0.32, 0.34, 0.61>
  }
  cylinder { // Cylndr104
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.015, 0.015, 0.7>
    rotate <90.0, -0.0, -7.0>
    translate  <0.32, 0.34, 0.61>
  }
  cylinder { // Cylndr105
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.015, 0.015, 0.72>
    rotate <90.0, -0.0, -6.0>
    translate  <0.33, 0.34, 0.47>
  }
  cylinder { // Cylndr106
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.015, 0.015, 0.72>
    rotate <90.0, -0.0, 6.0>
    translate  <-0.33, 0.34, 0.47>
  }
  object { RotSweep003 }
  object { RotSweep004 }
  sphere { // Sphere034
    <0,0,0>,1
    photons {
      collect off
    }
    scale 0.02
    translate  <-0.317, -0.562, 1.735>
  }
  sphere { // Sphere035
    <0,0,0>,1
    photons {
      collect off
    }
    scale 0.02
    translate  <0.317, -0.562, 1.735>
  }
  object { TransSweep018 }
  object { TransSweep019 }
  cylinder { // Cylndr107
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.008, 0.008, 0.41>
    rotate 17.5*x
    translate  <0.0, -0.447, 1.24>
  }
  cylinder { // Cylndr108
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.008, 0.008, 0.41>
    rotate <17.5, 7.0, 0.0>
    translate  <0.09, -0.44, 1.24>
  }
  cylinder { // Cylndr109
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.008, 0.008, 0.41>
    rotate <17.5, -7.0, 0.0>
    translate  <-0.09, -0.44, 1.24>
  }
  cylinder { // Cylndr110
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.008, 0.008, 0.41>
    rotate <17.5, -3.5, 0.0>
    translate  <-0.045, -0.443, 1.24>
  }
  cylinder { // Cylndr111
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.008, 0.008, 0.41>
    rotate <17.5, 3.5, 0.0>
    translate  <0.045, -0.443, 1.24>
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  // Scaling fixed
  rotate 32.15583*z
  translate  <0.05272, -0.075384, -2.5>
}
#declare Pinnatuolit = union {
  object { Pinnatuoli }
  object { Pinnatuoli1 }
  rotate -40.371025*z
  translate  <-0.382, -3.19, 0.0>
}
#declare Keittioekaapin_runko = union {
  box { // Cube598
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.19, 0.29, 0.02>
    translate  0.22*z
  }
  box { // Cube599
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.19, 0.29, 0.02>
    translate  1.88*z
  }
  box { // Cube600
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.019, 0.289, 0.849>
    translate  <-1.17, 0.0, 1.05>
  }
  box { // Cube601
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.019, 0.289, 0.849>
    translate  <1.17, 0.0, 1.05>
  }
  box { // Cube602
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.019, 0.289, 0.849>
    translate  <0.44, 0.0, 1.05>
  }
  box { // Cube603
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.189, 0.005, 0.849>
    translate  <0.0, 0.285, 1.05>
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Keittioek_avain = union {
  torus { // Torus005
    0.0205, 0.0025  rotate -x*90
    photons {
      collect off
    }
    // All transformations fixed
  }
  cylinder { // Cylndr201
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.005, 0.005, 0.08>
    rotate <-0.0, 90.0, 0.0>
    translate  0.02*x
  }
  box { // Cube608
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.006, 0.008, 0.003>
    translate  <0.094, -0.012, 0.0>
  }
  material {
    Kulta
  }
  photons {
    collect off
  }
  // All transformations fixed
  rotate <-90.0, -180.0, -90.0>
  translate  <-0.618, -0.077, -0.017>
}
#declare Keittioekaapin_ovi = union {
  cylinder { // Cylndr198
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.003, 0.003, 0.09>
    translate  -0.62*z
  }
  cylinder { // Cylndr199
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.003, 0.003, 0.09>
    translate  0.54*z
  }
  box { // Cube604
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.171, 0.02, 0.404>
    translate  <-0.171, 0.018, -0.404>
  }
  box { // Cube605
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.172, 0.02, 0.404>
    translate  <-0.514, 0.018, -0.404>
  }
  box { // Cube606
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.172, 0.02, 0.404>
    translate  <-0.514, 0.018, 0.404>
  }
  box { // Cube607
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.171, 0.02, 0.404>
    translate  <-0.171, 0.018, 0.404>
  }
  cylinder { // Avaimenreikae
    <0,0,1>, <0,0,0>, 1 
    material {
      Musta_muovi
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.02, 0.035, 0.02>
    rotate 90.0*x
    translate  <-0.618, 0.008, -0.02>
  }
  object { Keittioek_avain }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot Z limited (0.0 to   100.0)
  // Translation fixed
  translate  <1.148, -0.288, 1.05>
}
#declare Keittioek_lasiovi_vas = difference {
  box { // Cube610
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.405, 0.004, 0.814>
  }
  cylinder { // Cylndr202
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.013, 0.004, 0.1>
    translate  <-0.325, -0.004, 0.0>
  }
  material {
    Lasi
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rotation fixed
  // Trans X limited (-0.74 to   0.01)
  translate  <-0.74, -0.272, 1.05>
}
#declare Keittioek_lasiovi_oik = difference {
  box { // Cube609
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.405, 0.004, 0.814>
  }
  cylinder { // Cylndr200
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.013, 0.004, 0.1>
    translate  <0.325, -0.004, 0.0>
  }
  material {
    Lasi
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rotation fixed
  // Trans X limited (-0.74 to   0.01)
  translate  <-0.477866, -0.248, 1.05>
}
#declare Kupin_runko = difference {
  cone { // Cone049
    <0,0,0>, 0.065, <0,0,1>, 0.08
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
  }
  cone { // Cone050
    <0,0,0>, 0.063, <0,0,1>, 0.078
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
    translate  0.01*z
  }
  material {
    Ruskea_posliini
  }
  photons {
    collect off
  }
}
// Include contains 'TransSweep025'
#include "ttseven.i19"

#declare TransSweep025 = object {
  TransSweep025_Raw
  photons {
    collect off
  }
  scale 0.035
  rotate 90.0*x
  translate  <0.085, 0.007, 0.07>
}
#declare Kiltakuppi = union {
  object { Kupin_runko }
  object { TransSweep025 }
  material {
    Ruskea_maali
  }
  photons {
    collect off
  }
  rotate -90.0*z
  translate  <7.17, 0.28, -1.07>
}
#declare Kupin_runko1 = difference {
  cone { // Cone051
    <0,0,0>, 0.065, <0,0,1>, 0.08
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
  }
  cone { // Cone052
    <0,0,0>, 0.063, <0,0,1>, 0.078
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
    translate  0.01*z
  }
  photons {
    collect off
  }
}
// Include contains 'TransSweep026'
#include "ttseven.i20"

#declare TransSweep026 = object {
  TransSweep026_Raw
  photons {
    collect off
  }
  scale 0.035
  rotate 90.0*x
  translate  <0.085, 0.007, 0.07>
}
#declare Kiltakuppi1 = union {
  object { Kupin_runko1 }
  object { TransSweep026 }
  material {
    Ruskea_posliini
  }
  photons {
    collect off
  }
  rotate -115.0*z
  translate  <7.37, 0.29, -1.07>
}
#declare Kupin_runko2 = difference {
  cone { // Cone053
    <0,0,0>, 0.065, <0,0,1>, 0.08
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
  }
  cone { // Cone054
    <0,0,0>, 0.063, <0,0,1>, 0.078
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
    translate  0.01*z
  }
  photons {
    collect off
  }
}
// Include contains 'TransSweep027'
#include "ttseven.i21"

#declare TransSweep027 = object {
  TransSweep027_Raw
  photons {
    collect off
  }
  scale 0.035
  rotate 90.0*x
  translate  <0.085, 0.007, 0.07>
}
#declare Kiltakuppi2 = union {
  object { Kupin_runko2 }
  object { TransSweep027 }
  material {
    Pianopuu
  }
  photons {
    collect off
  }
  rotate -80.0*z
  translate  <7.16, 0.51, -1.07>
}
#declare Kupin_runko3 = difference {
  cone { // Cone055
    <0,0,0>, 0.065, <0,0,1>, 0.08
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
  }
  cone { // Cone056
    <0,0,0>, 0.063, <0,0,1>, 0.078
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
    translate  0.01*z
  }
  photons {
    collect off
  }
}
// Include contains 'TransSweep028'
#include "ttseven.i22"

#declare TransSweep028 = object {
  TransSweep028_Raw
  photons {
    collect off
  }
  scale 0.035
  rotate 90.0*x
  translate  <0.085, 0.007, 0.07>
}
#declare Kiltakuppi3 = union {
  object { Kupin_runko3 }
  object { TransSweep028 }
  material {
    Pianopuu
  }
  photons {
    collect off
  }
  rotate -62.0*z
  translate  <7.42, 0.69, -1.07>
}
#declare Kupin_runko4 = difference {
  cone { // Cone057
    <0,0,0>, 0.065, <0,0,1>, 0.08
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
  }
  cone { // Cone058
    <0,0,0>, 0.063, <0,0,1>, 0.078
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.11>
    translate  0.01*z
  }
  photons {
    collect off
  }
}
// Include contains 'TransSweep029'
#include "ttseven.i23"

#declare TransSweep029 = object {
  TransSweep029_Raw
  photons {
    collect off
  }
  scale 0.035
  rotate 90.0*x
  translate  <0.085, 0.007, 0.07>
}
#declare Kiltakuppi4 = union {
  object { Kupin_runko4 }
  object { TransSweep029 }
  material {
    Vihreae_posliini
  }
  photons {
    collect off
  }
  rotate 115.0*z
  translate  <7.37, 0.48, -1.07>
}
#declare Kartiolasi = difference {
  cone { // Cone014
    <0,0,0>, 0.055, <0,0,1>, 0.08
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.16>
  }
  cone { // Cone015
    <0,0,0>, 0.045, <0,0,1>, 0.077
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.14>
    translate  0.03*z
  }
  material {
    Lasi
  }
  photons {
    collect off
  }
  // Scaling fixed
  translate  <7.2, 1.06, -1.07>
}
#declare Kartiolasi2 = difference {
  cone { // Cone029
    <0,0,0>, 0.055, <0,0,1>, 0.08
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.16>
  }
  cone { // Cone030
    <0,0,0>, 0.045, <0,0,1>, 0.077
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.14>
    translate  0.03*z
  }
  material {
    Lasi
  }
  photons {
    collect off
  }
  // Scaling fixed
  translate  <7.19, 1.25, -1.07>
}
#declare Kartiolasi3 = difference {
  cone { // Cone059
    <0,0,0>, 0.055, <0,0,1>, 0.08
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.16>
  }
  cone { // Cone060
    <0,0,0>, 0.045, <0,0,1>, 0.077
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.14>
    translate  0.03*z
  }
  material {
    Lasi
  }
  photons {
    collect off
  }
  // Scaling fixed
  rotate -0.0*x
  translate  <7.19, 1.43, -1.07>
}
#declare Keittioekaapin_sisaeltoe = union {
  object { Kiltakuppi }
  object { Kiltakuppi1 }
  object { Kiltakuppi2 }
  object { Kiltakuppi3 }
  object { Kiltakuppi4 }
  object { Kartiolasi }
  object { Kartiolasi2 }
  object { Kartiolasi3 }
  photons {
    collect off
  }
  rotate <0.0, 0.0, 90.0>
  translate  <0.51, -7.25, 2.5>
}
#declare Keittioekaappi = union {
  object { Keittioekaapin_runko }
  box { // Keittioek_hylly_iso
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.79, 0.25, 0.02>
    translate  <-0.365, 0.03, 1.41>
  }
  box { // Keittioek_hylly_iso1
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.79, 0.25, 0.02>
    translate  <-0.365, 0.03, 0.86>
  }
  object { Keittioekaapin_ovi }
  box { // Keittoek_hylly_pieni
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.345, 0.25, 0.01>
    translate  <0.805, 0.03, 1.35>
  }
  box { // Keittoek_hylly_pieni1
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.345, 0.25, 0.01>
    translate  <0.805, 0.03, 1.07>
  }
  box { // Keittoek_hylly_pieni2
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.345, 0.25, 0.01>
    translate  <0.805, 0.03, 0.79>
  }
  box { // Keittoek_hylly_pieni3
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.345, 0.25, 0.01>
    translate  <0.805, 0.03, 0.53>
  }
  object { Keittioek_lasiovi_vas }
  object { Keittioek_lasiovi_oik }
  cone { // Keittioek_jalka
    <0,0,0>, 0.025, <0,0,1>, 0.055
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.21>
    translate  <1.08, -0.19, 0.0>
  }
  cone { // Keittioek_jalka1
    <0,0,0>, 0.025, <0,0,1>, 0.055
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.21>
    translate  <1.08, 0.19, 0.0>
  }
  cone { // Keittioek_jalka2
    <0,0,0>, 0.025, <0,0,1>, 0.055
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.21>
    translate  <-1.08, 0.19, 0.0>
  }
  cone { // Keittioek_jalka3
    <0,0,0>, 0.025, <0,0,1>, 0.055
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.21>
    translate  <-1.08, -0.19, 0.0>
  }
  object { Keittioekaapin_sisaeltoe }
  material {
    Testi
  }
  photons {
    collect off
  }
  // Scaling fixed
  rotate 83.45916*z
  translate  <-2.172032, 0.504387, -2.5>
}
#declare RotSweep008 = lathe {
  linear_spline
  11  // control points
  <0.145, 0.0>,
  <0.14, 0.17>,
  <0.095, 0.19>,
  <0.095, 0.19>,
  <0.09, 0.23>,
  <0.09, 0.23>,
  <0.085, 0.23>,
  <0.08971, 0.18874>,
  <0.138628, 0.005281>,
  <0.138628, 0.005281>,
  <0.138628, 0.005281>
  rotate <90,0,90>
  photons {
    collect off
  }
}
// Include contains 'TransSweep030'
#include "ttseven.i24"

#declare TransSweep030 = object {
  TransSweep030_Raw
  photons {
    collect off
  }
  scale <0.8, 0.75, 0.8>
  rotate 90.0*x
  translate  <0.13, 0.025, 0.11>
}
#declare Kiltakannun_nokka = difference {
  cone { // Cone061
    <0,0,0>, 0.055, <0,0,1>, 0.019
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.16>
    rotate -46.0*y
    translate  <-0.1, 0.0, 0.1>
  }
  cone { // Cone062
    <0,0,0>, 0.05, <0,0,1>, 0.015
    photons {
      collect off
    }
    scale <1.0, 1.0, 0.16>
    rotate -46.0*y
    translate  <-0.101, 0.0, 0.101>
  }
  photons {
    collect off
  }
}
#declare Kiltakannun_kansi = lathe {
  linear_spline
  8  // control points
  <0.08, 0.001>,
  <0.08, 0.011>,
  <0.098, 0.011>,
  <0.098, 0.015>,
  <0.028, 0.017>,
  <0.03, 0.029>,
  <0.023907, 0.019075>,
  <0.023907, 0.019075>
  rotate <90,0,90>
  photons {
    collect off
  }
  translate  0.22*z
}
#declare Kiltakannu = union {
  object { RotSweep008 }
  object { TransSweep030 }
  object { Kiltakannun_nokka }
  object { Kiltakannun_kansi }
  material {
    Vihreae_posliini
  }
  photons {
    collect off
  }
  rotate <0.0, 0.0, 50.45916>
  translate  <-1.895527, 2.801261, -1.210046>
}
#declare Heraetyskellon_runko = difference {
  box { // Cube536
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.062, 0.035, 0.062>
  }
  cylinder { // Cylndr154
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.055, 0.055, 0.03>
    rotate 90.0*x
    translate  -0.009*y
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
}
#declare Kellotaulu = union {
  text {   // TText001
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "12",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <-0.002, 0.045, -0.01>
  }

  text {   // TText002
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "1",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <0.0225, 0.038971, -0.01>
  }

  text {   // TText003
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "2",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <0.038971, 0.0225, -0.01>
  }

  text {   // TText004
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "3",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <0.045, -0.0, -0.01>
  }

  text {   // TText005
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "4",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <0.038971, -0.0225, -0.01>
  }

  text {   // TText006
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "5",
    0.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <0.0225, -0.038971, -0.01>
  }

  text {   // TText007
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "6",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <-0.0, -0.045, -0.01>
  }

  text {   // TText008
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "7",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <-0.0225, -0.038971, -0.01>
  }

  text {   // TText009
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "8",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <-0.038971, -0.0225, -0.01>
  }

  text {   // TText010
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "9",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <-0.045, 0.0, -0.01>
  }

  text {   // TText011
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "10",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <-0.04, 0.0225, -0.01>
  }

  text {   // TText012
    ttf      "C:\WINDOWS\Fonts\Gothic.ttf",
    "11",
    0.1,  // Depth
    <0.0,     0.0, 0.0> // Offset
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale 0.01
    translate  <-0.023, 0.038971, -0.01>
  }

  photons {
    collect off
  }
  rotate 90.0*x
  translate  <-0.002, -0.019, -0.004>
}
#declare Tuntiviisari = union {
  box { // Cube537
    <-1, -1, -1>, <1, 1, 1>
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale <0.002, 0.001, 0.02>
    translate  0.017*z
  }
  photons {
    collect off
  }
  rotate <0.0, -55.0, -0.0>
  translate  -0.015*y
}
#declare Minuuttiviisari = union {
  box { // Cube538
    <-1, -1, -1>, <1, 1, 1>
    material {
      Tummanharmaa_maali
    }
    photons {
      collect off
    }
    scale <0.0015, 0.001, 0.025>
    translate  0.022*z
  }
  photons {
    collect off
  }
  rotate 63.0*y
  translate  -0.02*y
}
#declare Sekuntiviisari = union {
  box { // Cube539
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.001, 0.001, 0.028>
    translate  0.017*z
  }
  disc { // Disc001
    <0,0,0>, <0,0,1>, 1.0
    photons {
      collect off
    }
    scale <0.006, 0.006, 1.0>
    rotate -90.0*x
    translate  -0.001*y
  }
  material {
    Muovi
  }
  photons {
    collect off
  }
  rotate <180.0, -6.0, 180.0>
  translate  -0.025*y
}
#declare Heraetyskello = union {
  object { Heraetyskellon_runko }
  object { Kellotaulu }
  object { Tuntiviisari }
  object { Minuuttiviisari }
  object { Sekuntiviisari }
  cylinder { // Heraetyskellon_lasi
    <0,0,1>, <0,0,0>, 1 
    material {
      Lasi
    }
    photons {
      collect off
    }
    scale <0.056, 0.056, 0.002>
    rotate <90.0, -0.0, 0.0>
    translate  -0.034*y
  }
  photons {
    collect off
  }
  rotate 43.431774*z
  translate  <-2.919873, 0.821342, -0.320138>
}
#declare Keittioepurkit = union {
  object { // Keittioepurkki1 -> Keittipurkki
    Keittioepurkki
    // Keittioepurkki1 does not inherit transformations, so do 
    // inverse transformations of Keittioepurkki
      translate  <-7.19, -0.27, 0.6>
    // Now write the regular transformations of Keittioepurkki1
    photons {
      collect off
    }
    translate  <7.17, 0.54, -0.6>
  }
  object { Keittioepurkki }
  rotate -13.858029*z
  translate  <-9.169533, 1.886269, -1.659961>
}
// Include contains 'TransSweep009'
#include "ttseven.i25"

#declare TransSweep009 = object {
  TransSweep009_Raw
  photons {
    collect off
  }
  // All transformations fixed
  translate  1.46*z
}
// Include contains 'TransSweep010'
#include "ttseven.i26"

#declare TransSweep010 = object {
  TransSweep010_Raw
  photons {
    collect off
  }
  // All transformations fixed
  translate  <-0.81, 0.69, 0.0>
}
// Include contains 'TransSweep011'
#include "ttseven.i27"

#declare TransSweep011 = object {
  TransSweep011_Raw
  photons {
    collect off
  }
  // All transformations fixed
  rotate -90.0*z
  translate  <0.81, 0.69, 0.0>
}
// Include contains 'TransSweep012'
#include "ttseven.i28"

#declare TransSweep012 = object {
  TransSweep012_Raw
  photons {
    collect off
  }
  // All transformations fixed
  rotate 180.0*z
  translate  <0.81, -0.69, 0.0>
}
// Include contains 'TransSweep013'
#include "ttseven.i29"

#declare TransSweep013 = object {
  TransSweep013_Raw
  photons {
    collect off
  }
  // All transformations fixed
  rotate 90.0*z
  translate  <-0.81, -0.69, 0.0>
}
#declare Ruokapoeytae = union {
  object { TransSweep009 }
  object { TransSweep010 }
  object { TransSweep011 }
  object { TransSweep012 }
  object { TransSweep013 }
  box { // Cube204
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.02, 0.65, 0.08>
    translate  <-0.83, 0.0, 1.38>
  }
  box { // Cube205
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.02, 0.65, 0.08>
    translate  <0.83, 0.0, 1.38>
  }
  box { // Cube206
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.77, 0.02, 0.08>
    translate  <0.0, -0.71, 1.38>
  }
  box { // Cube207
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.77, 0.02, 0.08>
    translate  <0.0, 0.71, 1.38>
  }
  material {
    Pianopuu
  }
  photons {
    collect off
  }
  // Scaling fixed
  translate  <5.12, 1.16, -2.5>
}
//
// Include file contains 'Sininen_ruukku'
//
#include "ttseven.i30"
#declare Sininen_ruukku = object {
  Sininen_ruukku_Raw
  material {
    Sininen_posliini
  }
  photons {
    collect off
  }
  rotate -0.0*z
  translate  <0.0, 0.0, 0.0>
}
#declare TransSweep022 = prism {
  linear_sweep
  linear_spline
  -0.3,0.0
  7  // control points
  <-0.04, -0.07>,
  <0.04, -0.07>,
  <0.08, 0.0>,
  <0.04, 0.07>,
  <-0.04, 0.07>,
  <-0.08, 0.0>,
  <-0.04, -0.07>
  rotate -x*90
  material {
    Puu
  }
  photons {
    collect off
  }
  scale <0.1, 0.1, 1.0>
}
#declare CSG008 = intersection {
  object { TransSweep022 }
  cone { // Cone021
    <0,0,0>, 0.008, <0,0,1>, 0.0
    photons {
      collect off
    }
    scale <10.25, 10.25, 0.3075>
  }
  material {
    Puu
  }
  photons {
    collect off
  }
}
#declare CSG009 = intersection {
  cylinder { // Cylndr118
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.0018, 0.0018, 0.31>
    translate  -0.001*z
  }
  cone { // Cone022
    <0,0,0>, 0.008, <0,0,1>, 0.0
    photons {
      collect off
    }
    scale <10.25, 10.25, 0.3075>
  }
  material {
    Pianopuu
  }
  photons {
    collect off
  }
}
#declare Lyijykynae = union {
  object { CSG008 }
  object { CSG009 }
  photons {
    collect off
  }
  rotate <-22.651016, -17.719559, -21.085709>
  translate  <-0.02, 0.0, 0.01>
}
#declare TransSweep024 = prism {
  linear_sweep
  linear_spline
  -0.3,0.0
  7  // control points
  <-0.04, -0.07>,
  <0.04, -0.07>,
  <0.08, 0.0>,
  <0.04, 0.07>,
  <-0.04, 0.07>,
  <-0.08, 0.0>,
  <-0.04, -0.07>
  rotate -x*90
  material {
    Puu
  }
  photons {
    collect off
  }
  scale <0.1, 0.1, 1.0>
}
#declare CSG011 = intersection {
  object { TransSweep024 }
  cone { // Cone047
    <0,0,0>, 0.008, <0,0,1>, 0.0
    photons {
      collect off
    }
    scale <10.25, 10.25, 0.3075>
  }
  material {
    Puu
  }
  photons {
    collect off
  }
}
#declare CSG012 = intersection {
  cylinder { // Cylndr168
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.0018, 0.0018, 0.31>
    translate  -0.001*z
  }
  cone { // Cone048
    <0,0,0>, 0.008, <0,0,1>, 0.0
    photons {
      collect off
    }
    scale <10.25, 10.25, 0.3075>
  }
  material {
    Pianopuu
  }
  photons {
    collect off
  }
}
#declare Lyijykynae1 = union {
  object { CSG011 }
  object { CSG012 }
  photons {
    collect off
  }
  rotate <-161.223145, 38.064743, 105.450562>
  translate  <0.03, 0.14, 0.24>
}
#declare Viivoitin = difference {
  box { // Cube542
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.215, 0.03, 0.004>
  }
  cylinder { // Cylndr169
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.006, 0.006, 0.01>
    translate  <0.15, 0.0, -0.005>
  }
  material {
    Puu3
  }
  photons {
    collect off
  }
  rotate <0.0, -49.0, 27.0>
  translate  <0.07, 0.04, 0.17>
}
#declare Kynaeruukku = union {
  object { Sininen_ruukku }
  object { Lyijykynae }
  object { Lyijykynae1 }
  object { Viivoitin }
  photons {
    collect off
  }
  rotate 159.248322*z
  translate  <3.574083, 2.107648, -0.8098>
}
#declare Sirpaleiden_lasi = object { 
  height_field {
    sys "peili5.bmp"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    Peililasi
  }
  scale <0.375, 0.525, 0.005>
  translate  0.012*z
}
#declare Sirpaleiden_kromi = object { 
  height_field {
    sys "peili5.bmp"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    Kromi
  }
  scale <0.375, 0.525, 0.005>
  translate  0.005*z
}
#declare Sirpaleet = union {
  object { Sirpaleiden_lasi }
  object { Sirpaleiden_kromi }
  scale <2.5, 2.5, 1.0>
  rotate 38.990993*z
  translate  <1.347388, -2.30553, -2.508>
}
#declare Muuttolaatikon_runko = difference {
  box { // Cube430
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.33, 0.27>
    translate  0.27*z
  }
  box { // Cube611
    <-1, -1, -1>, <1, 1, 1>
    scale <0.51, 0.2, 0.27>
    rotate -2.609721*x
    translate  <0.0, 0.1, 0.3>
  }
  box { // Cube673
    <-1, -1, -1>, <1, 1, 1>
    scale <0.51, 0.2, 0.27>
    rotate <-2.609721, 0.0, 180.0>
    translate  <0.0, -0.1, 0.3>
  }
  box { // Cube674
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.2, 0.27>
    rotate <-2.609721, 0.0, -90.0>
    translate  <0.31, 0.0, 0.3>
  }
  box { // Cube675
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.2, 0.27>
    rotate <-2.609721, 0.0, 90.0>
    translate  <-0.31, 0.0, 0.3>
  }
  box { // Cube676
    <-1, -1, -1>, <1, 1, 1>
    scale <0.49, 0.28, 0.29>
    translate  0.31*z
  }
  box { // Cube677
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.05, 0.29>
    rotate <-2.609721, 0.0, 180.0>
    translate  <0.0, -0.37, 0.28>
  }
  box { // Cube678
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.05, 0.29>
    rotate -2.609721*x
    translate  <0.0, 0.37, 0.28>
  }
  box { // Cube679
    <-1, -1, -1>, <1, 1, 1>
    scale <0.33, 0.05, 0.3>
    rotate <-2.609721, 0.0, -90.0>
    translate  <0.58, 0.0, 0.28>
  }
  box { // Cube680
    <-1, -1, -1>, <1, 1, 1>
    scale <0.33, 0.05, 0.3>
    rotate <-2.609721, 0.0, 90.0>
    translate  <-0.58, 0.0, 0.28>
  }
  box { // Cube681
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.03>
    translate  <0.55, 0.0, 0.45>
  }
  box { // Cube682
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.03>
    translate  <-0.55, 0.0, 0.45>
  }
  translate  0.02*z
}
#declare Muuttolaatikon_reuna = union {
  box { // Cube683
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.02, 0.04>
    translate  0.33*y
  }
  box { // Cube684
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.02, 0.04>
    translate  -0.33*y
  }
  box { // Cube685
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.33, 0.04>
    translate  0.54*x
  }
  box { // Cube686
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.33, 0.04>
    translate  -0.54*x
  }
  translate  0.559*z
}
#declare Ml_pikkuosat = union {
  box { // Cube687
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube688
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube689
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube690
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
}
#declare Ml_pikkuosat1 = union {
  box { // Cube691
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube692
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube693
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube694
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
  rotate 180.0*z
}
#declare Ml_pikkuosat2 = union {
  box { // Cube695
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube696
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube697
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube698
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
  scale <0.6, 1.0, 1.0>
  rotate -90.0*z
  translate  0.21*x
}
#declare Ml_pikkuosat3 = union {
  box { // Cube699
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube700
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube701
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube702
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
  scale <0.6, 1.0, 1.0>
  rotate 90.0*z
  translate  -0.21*x
}
#declare Muuttolaatikon_muoviosat = union {
  object { Muuttolaatikon_runko }
  object { Muuttolaatikon_reuna }
  box { // Muuttolaatikon_pohja
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 0.29, 0.015>
    translate  0.015*z
  }
  object { Ml_pikkuosat }
  object { Ml_pikkuosat1 }
  object { Ml_pikkuosat2 }
  object { Ml_pikkuosat3 }
  material {
    Punainen_muovi
  }
}
#declare Muuttolaatikon_kahva = union {
  cylinder { // Cylndr225
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr226
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr227
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, 0.338, -0.18>
  }
  cylinder { // Cylndr228
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  -0.338*y
  }
  sphere { // Sphere079
    <0,0,0>,1
    scale 0.007
    translate  <0.0, -0.338, -0.18>
  }
  sphere { // Sphere081
    <0,0,0>,1
    scale 0.007
    translate  <0.0, 0.338, -0.18>
  }
  sphere { // Sphere082
    <0,0,0>,1
    scale 0.007
    translate  0.338*y
  }
  sphere { // Sphere083
    <0,0,0>,1
    scale 0.007
    translate  -0.338*y
  }
  material {
    Pelti
  }
  translate  <0.55, 0.0, 0.59>
}
#declare Muuttolaatikon_kahva1 = union {
  cylinder { // Cylndr229
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr230
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr231
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, 0.338, -0.18>
  }
  cylinder { // Cylndr232
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  -0.338*y
  }
  sphere { // Sphere084
    <0,0,0>,1
    scale 0.007
    translate  <0.0, -0.338, -0.18>
  }
  sphere { // Sphere085
    <0,0,0>,1
    scale 0.007
    translate  <0.0, 0.338, -0.18>
  }
  sphere { // Sphere086
    <0,0,0>,1
    scale 0.007
    translate  0.338*y
  }
  sphere { // Sphere087
    <0,0,0>,1
    scale 0.007
    translate  -0.338*y
  }
  material {
    Pelti
  }
  translate  <-0.55, 0.0, 0.59>
}
#declare Muuttolaatikko = union {
  object { Muuttolaatikon_muoviosat }
  object { Muuttolaatikon_kahva }
  object { Muuttolaatikon_kahva1 }
  rotate 20.0*z
}
#declare Muuttolaatikon_runko1 = difference {
  box { // Cube703
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.33, 0.27>
    translate  0.27*z
  }
  box { // Cube704
    <-1, -1, -1>, <1, 1, 1>
    scale <0.51, 0.2, 0.27>
    rotate -2.609721*x
    translate  <0.0, 0.1, 0.3>
  }
  box { // Cube705
    <-1, -1, -1>, <1, 1, 1>
    scale <0.51, 0.2, 0.27>
    rotate <-2.609721, 0.0, 180.0>
    translate  <0.0, -0.1, 0.3>
  }
  box { // Cube706
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.2, 0.27>
    rotate <-2.609721, 0.0, -90.0>
    translate  <0.31, 0.0, 0.3>
  }
  box { // Cube707
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.2, 0.27>
    rotate <-2.609721, 0.0, 90.0>
    translate  <-0.31, 0.0, 0.3>
  }
  box { // Cube708
    <-1, -1, -1>, <1, 1, 1>
    scale <0.49, 0.28, 0.29>
    translate  0.31*z
  }
  box { // Cube709
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.05, 0.29>
    rotate <-2.609721, 0.0, 180.0>
    translate  <0.0, -0.37, 0.28>
  }
  box { // Cube710
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.05, 0.29>
    rotate -2.609721*x
    translate  <0.0, 0.37, 0.28>
  }
  box { // Cube711
    <-1, -1, -1>, <1, 1, 1>
    scale <0.33, 0.05, 0.3>
    rotate <-2.609721, 0.0, -90.0>
    translate  <0.58, 0.0, 0.28>
  }
  box { // Cube712
    <-1, -1, -1>, <1, 1, 1>
    scale <0.33, 0.05, 0.3>
    rotate <-2.609721, 0.0, 90.0>
    translate  <-0.58, 0.0, 0.28>
  }
  box { // Cube713
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.03>
    translate  <0.55, 0.0, 0.45>
  }
  box { // Cube714
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.03>
    translate  <-0.55, 0.0, 0.45>
  }
  translate  0.02*z
}
#declare Muuttolaatikon_reuna1 = union {
  box { // Cube715
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.02, 0.04>
    translate  0.33*y
  }
  box { // Cube716
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.02, 0.04>
    translate  -0.33*y
  }
  box { // Cube717
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.33, 0.04>
    translate  0.54*x
  }
  box { // Cube718
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.33, 0.04>
    translate  -0.54*x
  }
  translate  0.559*z
}
#declare Ml_pikkuosat4 = union {
  box { // Cube719
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube720
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube721
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube722
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
}
#declare Ml_pikkuosat5 = union {
  box { // Cube723
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube724
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube725
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube726
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
  rotate 180.0*z
}
#declare Ml_pikkuosat6 = union {
  box { // Cube727
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube728
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube729
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube730
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
  scale <0.6, 1.0, 1.0>
  rotate -90.0*z
  translate  0.21*x
}
#declare Ml_pikkuosat7 = union {
  box { // Cube731
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube732
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube733
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube734
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
  scale <0.6, 1.0, 1.0>
  rotate 90.0*z
  translate  -0.21*x
}
#declare Muuttolaatikon_muoviosat1 = union {
  object { Muuttolaatikon_runko1 }
  object { Muuttolaatikon_reuna1 }
  box { // Muuttolaatikon_pohja1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 0.29, 0.015>
    translate  0.015*z
  }
  object { Ml_pikkuosat4 }
  object { Ml_pikkuosat5 }
  object { Ml_pikkuosat6 }
  object { Ml_pikkuosat7 }
  material {
    Punainen_muovi
  }
}
#declare Muuttolaatikon_kahva2 = union {
  cylinder { // Cylndr233
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr234
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr235
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, 0.338, -0.18>
  }
  cylinder { // Cylndr236
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  -0.338*y
  }
  sphere { // Sphere088
    <0,0,0>,1
    scale 0.007
    translate  <0.0, -0.338, -0.18>
  }
  sphere { // Sphere089
    <0,0,0>,1
    scale 0.007
    translate  <0.0, 0.338, -0.18>
  }
  sphere { // Sphere090
    <0,0,0>,1
    scale 0.007
    translate  0.338*y
  }
  sphere { // Sphere091
    <0,0,0>,1
    scale 0.007
    translate  -0.338*y
  }
  material {
    Pelti
  }
  translate  <0.55, 0.0, 0.59>
}
#declare Muuttolaatikon_kahva3 = union {
  cylinder { // Cylndr237
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr238
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr239
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, 0.338, -0.18>
  }
  cylinder { // Cylndr240
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  -0.338*y
  }
  sphere { // Sphere092
    <0,0,0>,1
    scale 0.007
    translate  <0.0, -0.338, -0.18>
  }
  sphere { // Sphere093
    <0,0,0>,1
    scale 0.007
    translate  <0.0, 0.338, -0.18>
  }
  sphere { // Sphere094
    <0,0,0>,1
    scale 0.007
    translate  0.338*y
  }
  sphere { // Sphere095
    <0,0,0>,1
    scale 0.007
    translate  -0.338*y
  }
  material {
    Pelti
  }
  translate  <-0.55, 0.0, 0.59>
}
#declare Muuttolaatikko1 = union {
  object { Muuttolaatikon_muoviosat1 }
  object { Muuttolaatikon_kahva2 }
  object { Muuttolaatikon_kahva3 }
  rotate 20.0*z
  translate  0.58*z
}
#declare Muuttolaatikon_runko2 = difference {
  box { // Cube735
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.33, 0.27>
    translate  0.27*z
  }
  box { // Cube736
    <-1, -1, -1>, <1, 1, 1>
    scale <0.51, 0.2, 0.27>
    rotate -2.609721*x
    translate  <0.0, 0.1, 0.3>
  }
  box { // Cube737
    <-1, -1, -1>, <1, 1, 1>
    scale <0.51, 0.2, 0.27>
    rotate <-2.609721, 0.0, 180.0>
    translate  <0.0, -0.1, 0.3>
  }
  box { // Cube738
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.2, 0.27>
    rotate <-2.609721, 0.0, -90.0>
    translate  <0.31, 0.0, 0.3>
  }
  box { // Cube739
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.2, 0.27>
    rotate <-2.609721, 0.0, 90.0>
    translate  <-0.31, 0.0, 0.3>
  }
  box { // Cube740
    <-1, -1, -1>, <1, 1, 1>
    scale <0.49, 0.28, 0.29>
    translate  0.31*z
  }
  box { // Cube741
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.05, 0.29>
    rotate <-2.609721, 0.0, 180.0>
    translate  <0.0, -0.37, 0.28>
  }
  box { // Cube742
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.05, 0.29>
    rotate -2.609721*x
    translate  <0.0, 0.37, 0.28>
  }
  box { // Cube743
    <-1, -1, -1>, <1, 1, 1>
    scale <0.33, 0.05, 0.3>
    rotate <-2.609721, 0.0, -90.0>
    translate  <0.58, 0.0, 0.28>
  }
  box { // Cube744
    <-1, -1, -1>, <1, 1, 1>
    scale <0.33, 0.05, 0.3>
    rotate <-2.609721, 0.0, 90.0>
    translate  <-0.58, 0.0, 0.28>
  }
  box { // Cube745
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.03>
    translate  <0.55, 0.0, 0.45>
  }
  box { // Cube746
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.08, 0.03>
    translate  <-0.55, 0.0, 0.45>
  }
  translate  0.02*z
}
#declare Muuttolaatikon_reuna2 = union {
  box { // Cube747
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.02, 0.04>
    translate  0.33*y
  }
  box { // Cube748
    <-1, -1, -1>, <1, 1, 1>
    scale <0.54, 0.02, 0.04>
    translate  -0.33*y
  }
  box { // Cube749
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.33, 0.04>
    translate  0.54*x
  }
  box { // Cube750
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.33, 0.04>
    translate  -0.54*x
  }
  translate  0.559*z
}
#declare Ml_pikkuosat8 = union {
  box { // Cube751
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube752
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube753
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube754
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
}
#declare Ml_pikkuosat9 = union {
  box { // Cube755
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube756
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube757
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube758
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
  rotate 180.0*z
}
#declare Ml_pikkuosat10 = union {
  box { // Cube759
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube760
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube761
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube762
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
  scale <0.6, 1.0, 1.0>
  rotate -90.0*z
  translate  0.21*x
}
#declare Ml_pikkuosat11 = union {
  box { // Cube763
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.32, 0.325, 0.47>
  }
  box { // Cube764
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <0.36, 0.325, 0.47>
  }
  box { // Cube765
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.36, 0.325, 0.47>
  }
  box { // Cube766
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.02, 0.05>
    translate  <-0.32, 0.325, 0.47>
  }
  scale <0.6, 1.0, 1.0>
  rotate 90.0*z
  translate  -0.21*x
}
#declare Muuttolaatikon_muoviosat2 = union {
  object { Muuttolaatikon_runko2 }
  object { Muuttolaatikon_reuna2 }
  box { // Muuttolaatikon_pohja2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 0.29, 0.015>
    translate  0.015*z
  }
  object { Ml_pikkuosat8 }
  object { Ml_pikkuosat9 }
  object { Ml_pikkuosat10 }
  object { Ml_pikkuosat11 }
  material {
    Punainen_muovi
  }
}
#declare Muuttolaatikon_kahva4 = union {
  cylinder { // Cylndr241
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr242
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr243
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, 0.338, -0.18>
  }
  cylinder { // Cylndr244
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  -0.338*y
  }
  sphere { // Sphere096
    <0,0,0>,1
    scale 0.007
    translate  <0.0, -0.338, -0.18>
  }
  sphere { // Sphere097
    <0,0,0>,1
    scale 0.007
    translate  <0.0, 0.338, -0.18>
  }
  sphere { // Sphere098
    <0,0,0>,1
    scale 0.007
    translate  0.338*y
  }
  sphere { // Sphere099
    <0,0,0>,1
    scale 0.007
    translate  -0.338*y
  }
  material {
    Pelti
  }
  translate  <0.55, 0.0, 0.59>
}
#declare Muuttolaatikon_kahva5 = union {
  cylinder { // Cylndr245
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr246
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, -0.338, -0.18>
  }
  cylinder { // Cylndr247
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.18>
    translate  <0.0, 0.338, -0.18>
  }
  cylinder { // Cylndr248
    <0,0,1>, <0,0,0>, 1 
    scale <0.007, 0.007, 0.676>
    rotate -90.0*x
    translate  -0.338*y
  }
  sphere { // Sphere100
    <0,0,0>,1
    scale 0.007
    translate  <0.0, -0.338, -0.18>
  }
  sphere { // Sphere101
    <0,0,0>,1
    scale 0.007
    translate  <0.0, 0.338, -0.18>
  }
  sphere { // Sphere102
    <0,0,0>,1
    scale 0.007
    translate  0.338*y
  }
  sphere { // Sphere103
    <0,0,0>,1
    scale 0.007
    translate  -0.338*y
  }
  material {
    Pelti
  }
  translate  <-0.55, 0.0, 0.59>
}
#declare Muuttolaatikko2 = union {
  object { Muuttolaatikon_muoviosat2 }
  object { Muuttolaatikon_kahva4 }
  object { Muuttolaatikon_kahva5 }
  rotate 20.0*z
  translate  1.16*z
}
#declare Muuttolaatikot = union {
  object { Muuttolaatikko }
  object { Muuttolaatikko1 }
  object { Muuttolaatikko2 }
  box { // Varjo
    <-1, -1, -1>, <1, 1, 1>
    material {
      Punainen_muovi_tumma
    }
    scale <0.15, 0.01, 0.1>
    rotate <0.0, 0.0, 98.414619>
    translate  <0.373435, 0.154517, 1.047218>
  }
  box { // Varjo1
    <-1, -1, -1>, <1, 1, 1>
    material {
      Punainen_muovi_tumma
    }
    scale <0.15, 0.01, 0.1>
    rotate <0.0, 0.0, 98.414619>
    translate  <0.369327, 0.182286, 0.452058>
  }
  rotate -98.414619*z
  translate  <2.887966, -1.693385, -2.5>
}
#declare Pikkulampun_runko = union {
  cone { // Cone003
    <0,0,0>, 0.08, <0,0,1>, 0.06
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.22>
    translate  0.09*z
  }
  cone { // Cone004
    <0,0,0>, 0.06, <0,0,1>, 0.05
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.33>
  }
  cone { // Cone005
    <0,0,0>, 0.055, <0,0,1>, 0.079
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.07>
    translate  0.021*z
  }
  material {
    Vihreae_muovi
  }
  photons {
    collect off
  }
  // All transformations fixed
}
#declare Pikkulamppu = union {
  object { Pikkulampun_runko }
  cylinder { // Pikkulampun_kanta
    <0,0,1>, <0,0,0>, 1 
    material {
      Tietokonemuovi
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.025, 0.025, 0.12>
    translate  0.32*z
  }
  cone { // Varjostin
    <0,0,0>, 0.24, <0,0,1>, 0.06
    open
    material {
      Vihreae_varjostin
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <1.0, 1.0, 0.24>
    translate  0.38*z
  }
  photons {
    collect off
  }
  translate  <2.826442, -1.47891, -1.283477>
}
#declare Leikkuulauta_pieni = difference {
  superellipsoid { // SuperQ009
    <0.1, 0.001>
    photons {
      collect off
    }
    scale <0.295, 0.195, 0.018>
    translate  0.02*z
  }
  cylinder { // Cylndr164
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    scale <0.025, 0.025, 0.042>
    translate  0.24*x
  }
  material {
    Loimukoivu
  }
  photons {
    collect off
  }
  rotate <-0.0, -82.438416, 11.252142>
  translate  <3.112745, -1.353493, -0.994555>
}
union { // Oloh_kalusteet
  object { Annan_kirjahylly }
  object { Pinnasohva }
  object { Sohvapoeytae }
  object { Nojatuoli1 }
  object { Pikkulipasto }
  object { LundiaMkirjahylly }
  object { Pianotuoli }
  object { Kartiolasi1 }
  object { Kaiutin_oikea }
  object { Kaiutin_vasen }
  object { Jalkalamppu }
  object { Poeytaelamppu }
  object { Saerkynyt_peili }
  object { Pinnatuolit }
  object { Keittioekaappi }
  object { Kiltakannu }
  object { Heraetyskello }
  object { Keittioepurkit }
  object { Ruokapoeytae }
  object { Kynaeruukku }
  object { Sirpaleet }
  object { Muuttolaatikot }
  object { Pikkulamppu }
  object { Leikkuulauta_pieni }
  photons {
    collect off
  }
}




#declare Katot = union {
  box { // Oloh_katto
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <3.46, 6.0, 0.2>
    translate  <-0.32, 0.15, 2.8>
  }
  box { // Mh_katto
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <4.12, 4.0, 0.2>
    translate  <-3.86, -9.72, 2.8>
  }
  box { // Keittioen_katto
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.53, 5.8, 0.2>
    translate  <5.35, 0.25, 2.8>
  }
  material {
    Seinaemaali
  }
  photons {
    collect off
  }
}
#declare Lattiat = union {
  box { // Oloh_lattia
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <3.46, 6.0, 0.2>
    translate  <-0.32, 0.15, -2.7>
  }
  box { // Et_lattia
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <3.7, 3.1, 0.2>
    translate  <3.77, -8.73, -2.7>
  }
  box { // Keittioen_lattia
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.53, 4.0, 0.2>
    translate  <5.35, -1.55, -2.7>
  }
  box { // Parvekkeen_lattia
    <-1, -1, -1>, <1, 1, 1>
    material {
      Vaaleanharmaa_kivilattia
    }
    photons {
      collect off
    }
    scale <2.53, 1.85, 0.2>
    translate  <5.35, 4.18, -2.7>
  }
  material {
    Hieno_parketti
  }
  photons {
    collect off
  }
  translate  0.001*z
}
#declare Parv_kaide = union {
  box { // Parv_s_paeaellinen
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.26, 0.12, 0.05>
    translate  <5.43, 5.96, -0.84>
  }
  box { // Cube419
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.025, 0.025, 1.02>
    translate  <3.26, 5.94, -1.47>
  }
  box { // Cube420
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.025, 0.025, 1.02>
    translate  <5.26, 5.94, -1.47>
  }
  box { // Cube421
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.025, 0.025, 0.73>
    translate  <7.26, 5.94, -1.18>
  }
  box { // Cube422
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.306, 0.026, 0.025>
    translate  <5.54, 5.94, -0.474>
  }
  box { // Cube425
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.306, 0.026, 0.025>
    translate  <5.54, 5.94, -1.92>
  }
  material {
    Tummanharmaa_maali
  }
  photons {
    collect off
  }
  translate  0.38*x
}
#declare Parv_lasin_reunus = difference {
  box { // Cube423
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.3, 0.01, 0.33>
    translate  <5.5, 5.96, -1.93>
  }
  box { // Cube424
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.3, 0.02, 0.23>
    translate  <5.56, 5.96, -1.93>
  }
  material {
    Tummanharmaa_maali
  }
  photons {
    collect off
  }
  translate  <0.41, -0.1, 0.0>
}
#declare Parvekkeen_laita = union {
  box { // Cube
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.3, 0.1, 0.41>
    translate  <5.83, 5.96, -1.21>
  }
  box { // Cube1
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.3, 0.1, 0.13>
    translate  <5.83, 5.96, -2.37>
  }
  object { Parv_kaide }
  object { Parv_lasin_reunus }
  box { // Parvekkeen_lasi
    <-1, -1, -1>, <1, 1, 1>
    material {
      Lasi_karhea
    }
    photons {
      collect off
    }
    scale <2.3, 0.005, 0.24>
    translate  <5.92, 5.86, -1.93>
  }
  box { // Cube2
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.05, 0.101, 0.32>
    translate  <3.58, 5.96, -1.93>
  }
  photons {
    collect off
  }
  translate  0.1*y
}
#declare Seinaet = union {
  box { // Mh_ovi_katonraja
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.17, 0.9, 0.55>
    translate  <0.14, -6.92, 2.07>
  }
  box { // Mh_et_seinae
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.17, 2.96, 2.95>
    translate  <0.14, -10.78, 0.05>
  }
  box { // Oloh_et_palkki
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <1.46, 0.17, 0.685>
    translate  <1.77, -5.85, 2.315>
  }
  box { // Oloh_keittioe_palkki
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.21, 3.8, 0.24>
    translate  <3.02, -1.88, 2.38>
  }
  box { // Parv_ovi_katonraja
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.21, 0.78, 0.49>
    translate  <3.02, 4.4, 2.13>
  }
  box { // Oloh_ikk_alus
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <3.669, 0.22, 0.85>
    translate  <-0.12, 5.94, -1.65>
  }
  box { // Oloh_parv_nurkka
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.21, 0.369, 2.95>
    translate  <3.02, 5.55, 0.05>
  }
  box { // Oloh_parv_seinae
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.21, 0.85, 2.95>
    translate  <3.02, 2.77, 0.05>
  }
  box { // Oloh_keittioe_seinae
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.08, 3.08, 2.56>
    translate  <3.798671, -5.101135, 0.06>
  }
  box { // Oloh_mh_seinae
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.05, 0.17, 2.56>
    translate  <-3.548548, -6.239533, 0.06>
  }
  box { // Oloh_ikk_katonraja
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <3.669, 0.22, 0.66>
    translate  <-0.12, 5.94, 2.34>
  }
  box { // Oloh_ulkoseinae
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.24, 5.87, 2.95>
    translate  <-3.55, 0.19, 0.05>
  }
  box { // Keittioe_parv_katonraja
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.539, 0.17, 0.44>
    translate  <5.35, 2.49, 2.18>
  }
  box { // Keittioen_naapurinseinae
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.17, 5.769, 2.95>
    translate  <7.72, 0.1, 0.05>
  }
  box { // Keittioe_parv_seinae
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.2, 0.17, 0.85>
    translate  <5.35, 2.49, -1.65>
  }
  object { Parvekkeen_laita }
  box { // Parv_katonraja
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <2.5, 0.17, 0.72>
    translate  <5.68, 5.99, 2.28>
  }
  box { // Parv_ovenlaita_oik
    <-1, -1, -1>, <1, 1, 1>
    material {
      Karkea_valkoinen_seinae
    }
    photons {
      collect off
    }
    scale <0.16, 0.37, 2.95>
    translate  <3.39, 5.55, 0.05>
  }
  box { // Parv_ovenlaita_vas
    <-1, -1, -1>, <1, 1, 1>
    material {
      Karkea_valkoinen_seinae
    }
    photons {
      collect off
    }
    scale <0.16, 0.48, 2.95>
    translate  <3.39, 3.14, 0.05>
  }
  material {
    Seinaemaali
  }
  photons {
    collect off
  }
}
#declare Parv_ovipielet = difference {
  box { // Cube591
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.781, 0.17, 2.07>
  }
  box { // Cube593
    <-1, -1, -1>, <1, 1, 1>
    material {
      Puu2
    }
    photons {
      collect off
    }
    scale <0.69, 0.05, 2.02>
    translate  0.11*y
  }
  box { // Cube594
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.69, 0.04, 2.02>
    translate  -0.12*y
  }
  box { // Cube595
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.74, 0.02, 2.06>
    translate  -0.17*y
  }
  box { // Cube596
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    scale <0.67, 0.22, 2.0>
  }
  box { // Cube597
    <-1, -1, -1>, <1, 1, 1>
    material {
      Puu2
    }
    photons {
      collect off
    }
    scale <0.75, 0.02, 2.06>
    translate  0.17*y
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  rotate -90.0*z
  translate  <3.34, 4.4, -0.43>
}
#declare Parvekkeen_ovilevy = difference {
  box { // Cube589
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.72, 0.05, 2.0>
  }
  box { // Cube590
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.515, 0.07, 1.055>
    translate  0.74*z
  }
  material {
    Valkoinen_maali
  }
  photons {
    collect off
  }
  // All transformations fixed
  translate  <0.75, 0.05, 0.0>
}
#declare Parv_oven_kahva = union {
  box { // Cube592
    <-1, -1, -1>, <1, 1, 1>
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.1, 0.005, 0.015>
    translate  <-0.1, -0.06, 0.0>
  }
  cylinder { // Cylndr197
    <0,0,1>, <0,0,0>, 1 
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.015, 0.015, 0.14>
    rotate -90.0*x
    translate  -0.07*y
  }
  material {
    Kromi3
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot Y limited (-55.0 to   0.0)
  // Translation fixed
  translate  <1.32, -0.02, 0.0>
}
#declare Parvekkeen_sisaeovi = union {
  object { Parvekkeen_ovilevy }
  object { Parv_oven_kahva }
  box { // Parv_oven_kahvan_kehys
    <-1, -1, -1>, <1, 1, 1>
    material {
      Kromi3
    }
    photons {
      collect off
    }
    // All transformations fixed
    scale <0.02, 0.01, 0.055>
    translate  1.32*x
  }
  photons {
    collect off
  }
  // Scaling fixed
  // Rot Z limited (-179.0 to   -90.0)
  // Translation fixed
  rotate -104.0*z
  translate  <3.16, 5.15, -0.42>
}
#declare Parv_oviaukko = union {
  object { Parv_ovipielet }
  object { Parvekkeen_sisaeovi }
  photons {
    collect off
  }
}
#declare Ovet = union {
  object { Parv_oviaukko }
  photons {
    collect off
  }
}
union { // Huoneisto
  object { Katot }
  object { Lattiat }
  object { Seinaet }
  object { Ovet }
  photons {
    collect off
  }
}


